------------------------------------------------------------------------
r62 | massiot | 1999-12-31 18:35:48 +0100 (Fri, 31 Dec 1999) | 2 lines
Changed paths:
   D /trunk/include/undec_picture.h
   M /trunk/src/video_parser/video_parser.c

Deux oublis dans le commit de la derniere fois.

------------------------------------------------------------------------
r63 | sam | 2000-01-02 05:42:16 +0100 (Sun, 02 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/src/generic_decoder/generic_decoder.c

 - include des PES de type AC3 pour pr?\239?\191?\189parer une bidouille inf?\239?\191?\189me
 - reformatage des commentaires ?\239?\191?\189 80 colonnes au lieu de 81 parce que
  ?\239?\191?\189a a le don de m'?\239?\191?\189nerver prodigieusement.

------------------------------------------------------------------------
r64 | sam | 2000-01-02 07:00:35 +0100 (Sun, 02 Jan 2000) | 11 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/src/generic_decoder/generic_decoder.c

 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat
 - je ne ferai plus de commits d?\239?\191?\189biles ?\239?\191?\189 5h du mat

------------------------------------------------------------------------
r65 | massiot | 2000-01-03 21:38:32 +0100 (Mon, 03 Jan 2000) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/decoder_fifo.h
   A /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_decoder.h.new
   M /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/interface/control.c
   M /trunk/src/interface/interface.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c

* Makefile : ajout du nouveau d?\239?\191?\189codeur (comment?\239?\191?\189) ;
             suppression du video_output pour que Ptyx puisse committer
             ses trucs sans craindre de tout casser le cvs ;
* interface/* : d?\239?\191?\189sactivage du video_output ;
* include/config.h : plein de directives pour le parseur et le d?\239?\191?\189codeur ;
* include/decoder_fifo.h : nouvelles primitives pour le parseur ;
* le reste : ben de quoi faire compiler video_parser.c, bug fixes
  essentiellement ;

Eviv Bulgroz !

------------------------------------------------------------------------
r66 | massiot | 2000-01-04 01:01:05 +0100 (Tue, 04 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_fifo.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_headers.c

video_fifo.c et vpar_headers.c compilent ?\239?\191?\189 peu pr?\239?\191?\189s. Correction d'environ
4212 fautes de frappe.

------------------------------------------------------------------------
r67 | massiot | 2000-01-04 16:07:23 +0100 (Tue, 04 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_decoder.h.new
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c

Correction de 1242 fautes de frappe et includes foireux. Presque tout
compile presque.

------------------------------------------------------------------------
r68 | massiot | 2000-01-04 18:57:19 +0100 (Tue, 04 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video_parser.h
   A /trunk/include/vpar_synchro.h
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c
   A /trunk/src/video_parser/vpar_synchro.c

Ajout des fichiers de la synchro un peu partout.

------------------------------------------------------------------------
r69 | massiot | 2000-01-05 03:32:49 +0100 (Wed, 05 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vdec_idct.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

J'en ai chi?\239?\191?\189 mais j'ai enfin pondu le AddBlock du video_decoder.

------------------------------------------------------------------------
r70 | stef | 2000-01-05 04:42:43 +0100 (Wed, 05 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c


* Ajout de la fonction MacroBlockAddressIncrement dans vpar_blocks.c

------------------------------------------------------------------------
r71 | massiot | 2000-01-05 19:25:19 +0100 (Wed, 05 Jan 2000) | 6 lines
Changed paths:
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* vpar_blocks.c : Correction d'une erreur introduite hier soir avec
  AddBlock en chrominance 420 ;
* vpar_headers.c : R?\239?\191?\189ordonnancement des fonctions (les fonctions inline
  doivent etre en tete sinon elles ne sont pas optimis?\239?\191?\189es en inline par
  gcc) ;

------------------------------------------------------------------------
r72 | massiot | 2000-01-05 21:13:23 +0100 (Wed, 05 Jan 2000) | 2 lines
Changed paths:
   A /trunk/src/input/input.c.new
   A /trunk/src/input/input_ctrl.c.new

Adaptation de l'input au video_parser.

------------------------------------------------------------------------
r73 | massiot | 2000-01-06 00:50:19 +0100 (Thu, 06 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c

D?\239?\191?\189finition des matrices de quantification par d?\239?\191?\189faut, du balayage,
et cr?\239?\191?\189ation de la crop table pour la saturation qu'on fera pas.

------------------------------------------------------------------------
r74 | massiot | 2000-01-06 01:13:19 +0100 (Thu, 06 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_decoder.h.new
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c

video_decoder : ajout de la crop table dans AddBlock ;
video_parser : correction d'une erreur dans le commit pr?\239?\191?\189c?\239?\191?\189dent (on ne
fera pas la saturation dans le cas d'une DFT, de toute fa?\239?\191?\189on)

------------------------------------------------------------------------
r75 | polux | 2000-01-07 17:18:46 +0100 (Fri, 07 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_pcr.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_pcr.c

Refonte de la synchro qui devrait eliminer les problemes rencontres
lors des changements de flux.

------------------------------------------------------------------------
r76 | polux | 2000-01-09 21:54:22 +0100 (Sun, 09 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   A /trunk/include/vpar_motion.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c


Debut de la partie parser du motion compensation.

------------------------------------------------------------------------
r77 | maxx | 2000-01-10 00:38:46 +0100 (Mon, 10 Jan 2000) | 13 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_output.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c

* Makefile :
- rajout de l'option de compilation qui marche bien -fomit-frame-pointer ;

* include/audio_output.h, audio_output/audio_output.c :
- modification de la m?\239?\191?\189thode de lecture d'un flux provenant d'un d?\239?\191?\189codeur
audio : qu'il s'agisse d'un flux audio MPEG2, AC3 ou MPEG12, l'algorithme
reste le m?\239?\191?\189me ;

* include/audio_decoder.h, audio_decoder/audio_decoder.c :
- rajout de la constante AOUT_FRAME_SIZE et de la structure aout_frame_t
qui d?\239?\191?\189crivent la forme sous laquelle les samples audio d?\239?\191?\189cod?\239?\191?\189s sont
transmis ?\239?\191?\189 l'audio_output (cf point pr?\239?\191?\189c?\239?\191?\189dent) ;

------------------------------------------------------------------------
r78 | stef | 2000-01-10 02:09:37 +0100 (Mon, 10 Jan 2000) | 7 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c

* Modifications d'erreurs dans  MacroBlockAddressIncrement
* Ajout des fonctions vpar_*MBtype
* Ajout de tables de lookup (pour les tableaux B1 ?\239?\191?\189 B4 et B9)
* Ajout de vpar_CodedPattern420

Il manque encore pas mal de fonctions (en particulier DecodeMPEG)

------------------------------------------------------------------------
r79 | jimmy | 2000-01-10 21:32:22 +0100 (Mon, 10 Jan 2000) | 6 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_idct.c


  Du rififi dans la DCT.

--
jimmy

------------------------------------------------------------------------
r80 | jimmy | 2000-01-10 23:45:40 +0100 (Mon, 10 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_decoder.h


  Et le petit toast qui va avec...

------------------------------------------------------------------------
r81 | massiot | 2000-01-11 00:29:41 +0100 (Tue, 11 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_decoder.h

Heureusement que j'avais dit de faire gaffe a ne pas committer le mauvais
video_decoder.h :-ppppp

------------------------------------------------------------------------
r82 | seguin | 2000-01-11 00:36:06 +0100 (Tue, 11 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/include/all.h
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/control.h
   M /trunk/include/input.h
   M /trunk/include/input_vlan.h
   M /trunk/include/interface.h
   A /trunk/include/intf_console.h
   M /trunk/include/intf_msg.h
   A /trunk/include/intf_sys.h
   A /trunk/include/main.h
   D /trunk/include/pgm_data.h
   D /trunk/include/thread.h
   M /trunk/include/video.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_graphics.h
   M /trunk/include/video_output.h
   A /trunk/include/video_sys.h
   A /trunk/include/vlc.h
   M /trunk/include/vlc_thread.h
   D /trunk/include/xconsole.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/control.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   A /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   D /trunk/src/interface/xconsole.c
   M /trunk/src/video_decoder/video_decoder.c
   A /trunk/src/video_output/video_fb.c
   D /trunk/src/video_output/video_graphics.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

A tout kass?\239?\191?\189.

------------------------------------------------------------------------
r83 | polux | 2000-01-11 10:59:22 +0100 (Tue, 11 Jan 2000) | 5 lines
Changed paths:
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_parser.h


Correction de 2 petites erreurs :
- vdec_idct.h : oubli d'un point virgule
- video_parser.h : dupplication du champs pppl_dct_dc_size

------------------------------------------------------------------------
r84 | seguin | 2000-01-11 12:05:46 +0100 (Tue, 11 Jan 2000) | 10 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Correction de quelques erreurs dans l'interface et vout.
Changement du type vlc_thread_func en vlc_thread_func_t dans le d?\239?\191?\189codeur.
Utilisation de 2 displays au lieu d'un au cas ou la Xlib ne serait pas thread-safe.
Ajout de droits corrects au fichier de log.

Le bug li?\239?\191?\189 ?\239?\191?\189 XShm ?\239?\191?\189 la fin est 'normal' (li?\239?\191?\189 au serveur X, pas ?\239?\191?\189 moi) : il
disparaitra ?\239?\191?\189 condition qu'au moins une image soit affich?\239?\191?\189e.

Le plantage sauvage de la Xlib ?\239?\191?\189 la fin du programme est li?\239?\191?\189 ?\239?\191?\189 display.c.

------------------------------------------------------------------------
r85 | polux | 2000-01-11 15:43:06 +0100 (Tue, 11 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


Debuggage.

------------------------------------------------------------------------
r86 | polux | 2000-01-11 15:45:15 +0100 (Tue, 11 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h


Encore du debuggage.

------------------------------------------------------------------------
r87 | seguin | 2000-01-11 19:02:00 +0100 (Tue, 11 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/video.h
   M /trunk/src/video_output/video_output.c

Modifs diverses et variees. Le mode FB compile (mais ne fait rien).

------------------------------------------------------------------------
r88 | polux | 2000-01-11 22:32:58 +0100 (Tue, 11 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c


Le video parser compile mais n'est pas termine, n'est-ce pas stef ? ;)

------------------------------------------------------------------------
r89 | polux | 2000-01-11 22:34:04 +0100 (Tue, 11 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video.h


Encore une petite modif pour permettre au parser de compiler.

------------------------------------------------------------------------
r90 | stef | 2000-01-12 14:14:51 +0100 (Wed, 12 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/video_decoder.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c


* Fonction de d?\239?\191?\189codage des Blocs MPEG2intra.
* Correction d'erreurs sur la gestion des tables de lookup

------------------------------------------------------------------------
r91 | polux | 2000-01-12 16:31:59 +0100 (Wed, 12 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_decoder.h

Correction de conneries de stef....
Merci de NE PAS COMMITER VIDEO_DECODER.H, sinon ca ne compile pas !

------------------------------------------------------------------------
r92 | seguin | 2000-01-12 16:35:45 +0100 (Wed, 12 Jan 2000) | 3 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Ajout du framebuffer (initialisation/terminaison) - ne fonctionne pas en VESA.
La fonction d'affichage des images envoie une ligne dans le log ?\239?\191?\189 chaque image.

------------------------------------------------------------------------
r93 | stef | 2000-01-12 19:50:06 +0100 (Wed, 12 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c


* Fonction de d?\239?\191?\189codage des blocs MPEG2 non intra

------------------------------------------------------------------------
r94 | seguin | 2000-01-12 22:17:54 +0100 (Wed, 12 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Suppression de vlc.h

------------------------------------------------------------------------
r95 | seguin | 2000-01-12 22:23:27 +0100 (Wed, 12 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video_output.h

Et le .h qui va avec le nouveal .c

------------------------------------------------------------------------
r96 | polux | 2000-01-12 23:38:34 +0100 (Wed, 12 Jan 2000) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_decoder.h.new
   M /trunk/include/vpar_blocks.h
   M /trunk/src/input/input.c.new
   M /trunk/src/input/input_ctrl.c.new
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c


Pour la plus grande joie de tous, le client compile correctement. Attention
il compile non seulement avec l'ancien video decoder mais aussi avec le
nouveau. Pour passer de l'un a l'autre il faut changer le flag DECODER
du Makefile ET utiliser l'utilitaire new2old.sh gracieusement mis a votre
disposition par ptyx dans le module utils du CVS. Ce programme switche
quelques fichiers et permet dons de passer de l'ancien client au nouveau
et vis verca. Mais ATTENTION : IL NE FAUT PAS COMMITER LE CLIENT LORSQU'IL
EST EN CONFIGURATION NEW, avant de commiter il faut tout remettre en
configuration old.

------------------------------------------------------------------------
r97 | polux | 2000-01-13 11:44:27 +0100 (Thu, 13 Jan 2000) | 4 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/include/vlc.h.new


Rajout d'un vlc.h.new que j'avais oublie lors du dernier commit.
Changement du mode d'affichage par defaut du makefile sur X11.

------------------------------------------------------------------------
r98 | seguin | 2000-01-13 19:52:22 +0100 (Thu, 13 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_sys.h
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

YUV 15,16 et 32 bits integr?\239?\191?\189e au vout (sans le MMX pour le moment).
En 24bpp, ?\239?\191?\189 vos risques et perils...

------------------------------------------------------------------------
r99 | sam | 2000-01-14 12:15:47 +0100 (Fri, 14 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile

 correction d'une typo

------------------------------------------------------------------------
r100 | massiot | 2000-01-14 14:00:22 +0100 (Fri, 14 Jan 2000) | 2 lines
Changed paths:
   D /trunk/lib/s16_0_44100.raw
   D /trunk/lib/s16_1_32000.raw

Suppression des fichiers .raw du CVS (ils sont sur zen dans vlc-Resources).

------------------------------------------------------------------------
r101 | polux | 2000-01-14 15:12:17 +0100 (Fri, 14 Jan 2000) | 5 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c


D?\239?\191?\189but bu vrai d?\239?\191?\189buggage du parser. Maintenant le vlc segfaulte
dans Pictureheader au lieu de segfaulter dans l'initialisation
du parser.

------------------------------------------------------------------------
r102 | seguin | 2000-01-15 00:07:55 +0100 (Sat, 15 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/include/vlc.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/misc/netutils.c
   A /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

GGI fonctionnel. N'oubliez pas de d?\239?\191?\189finit GII_INPUT.
Nettoyage de video_* et intf_*.

------------------------------------------------------------------------
r103 | stef | 2000-01-15 04:03:53 +0100 (Sat, 15 Jan 2000) | 7 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c


* Ajout d'un flag b_mpeg2 qui manquait dans le parser
* R?\239?\191?\189?\239?\191?\189criture de fonctions d'initialisation du parseur
* Changement des fonctions MPEG2decode qui ?\239?\191?\189taient bugg?\239?\191?\189es

 V?\239?\191?\189rification avec polux tout ?\239?\191?\189 l'heure

------------------------------------------------------------------------
r104 | stef | 2000-01-15 11:51:55 +0100 (Sat, 15 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_parser/vpar_blocks.c


* Un petit peu de d?\239?\191?\189buggage dans le video parser

------------------------------------------------------------------------
r105 | polux | 2000-01-15 15:26:29 +0100 (Sat, 15 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


Le debuggage du parser avance ... lentement.

------------------------------------------------------------------------
r106 | seguin | 2000-01-16 17:43:10 +0100 (Sun, 16 Jan 2000) | 7 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/main.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/include/vlc.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c
   A /trunk/src/video_output/yuv_mmx.S

Integration de display.c ?\239?\191?\189 vout.
Mise au point du driver X11 (plus de XShm error).
Incrustation de texte en X11, calcul des FPS, etc...
Int?\239?\191?\189gration de la conversion MMX.
Mode 'niveaux de gris' pour les machines lentes non MMX (les pauvres !)
Attention: les drivers GGI et FB ne sont pas ?\239?\191?\189 jour...

------------------------------------------------------------------------
r107 | seguin | 2000-01-16 20:17:15 +0100 (Sun, 16 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/yuv_mmx.S

Mise au point du driver GGI.

------------------------------------------------------------------------
r108 | seguin | 2000-01-16 21:39:47 +0100 (Sun, 16 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/video_output/video_output.c

R?\239?\191?\189cup?\239?\191?\189ration du kludge level dans display.c pour pouvoir afficher autre
chose que les I...

------------------------------------------------------------------------
r109 | massiot | 2000-01-17 01:00:52 +0100 (Mon, 17 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/input.h
   M /trunk/include/vlc.h.new
   M /trunk/src/input/input.c.new
   M /trunk/src/video_decoder/video_decoder.c

Virationnement de quelques warnings.

------------------------------------------------------------------------
r110 | polux | 2000-01-17 05:56:29 +0100 (Mon, 17 Jan 2000) | 12 lines
Changed paths:
   M /trunk/include/decoder_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c


Il est 6 heure du matin et le parser ... parse !!!!!!!!
Ca ?\239?\191?\189 l'air de pas trop mal marcher. Parmis les bugs les plus sauvages
on trouve :
1) le DumpBits sans NeedBits (corrig?\239?\191?\189 par un RemoveBits)
2) Une table ?\239?\191?\189 laquelle il manquait une ligne
3) le test de fin de boucle du d?\239?\191?\189codage des coef dct ?\239?\191?\189tait mal plac?\239?\191?\189

Meuh, ?\239?\191?\189 toi de jouer

Stef & Polux

------------------------------------------------------------------------
r111 | seguin | 2000-01-17 13:31:39 +0100 (Mon, 17 Jan 2000) | 4 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/include/vlc.h
   D /trunk/include/xutils.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   D /trunk/src/misc/xutils.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Resize sous X11, gestion du screen saver.
Nettoyage de config.h
Nettoyage de vout et intf

------------------------------------------------------------------------
r112 | massiot | 2000-01-17 13:54:39 +0100 (Mon, 17 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vlc.h

Virationnement d'un warning avec l'ancien d?\239?\191?\189codeur (j'ai vraiment du temps ?\239?\191?\189
perdre).

------------------------------------------------------------------------
r113 | stef | 2000-01-17 14:44:41 +0100 (Mon, 17 Jan 2000) | 4 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c


Rajout de la quantification ,?\239?\191?\189limination de plusieurs warning,
plus decodage des blocks non intra.

------------------------------------------------------------------------
r114 | massiot | 2000-01-17 14:49:25 +0100 (Mon, 17 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vlc.h.new
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

Fin du parsage des I.

------------------------------------------------------------------------
r115 | massiot | 2000-01-17 15:52:25 +0100 (Mon, 17 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Suite des images I.

------------------------------------------------------------------------
r116 | seguin | 2000-01-17 17:43:04 +0100 (Mon, 17 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c
   A /trunk/src/video_output/video_yuv_c.c
   A /trunk/src/video_output/video_yuv_mmx.S
   D /trunk/src/video_output/yuv_mmx.S

Nettoyage, ajout du gamma, pr?\239?\191?\189paration de la yuv walken.

------------------------------------------------------------------------
r117 | polux | 2000-01-17 22:35:33 +0100 (Mon, 17 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_decoder.h.new
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c


Les I marchent !!!!!!!!!!!!!!!!!!!!!!!!
Le gros bug est mort.

------------------------------------------------------------------------
r118 | maxx | 2000-01-17 22:51:35 +0100 (Mon, 17 Jan 2000) | 20 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.dep
   M /trunk/include/audio_constants.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_output.h
   M /trunk/include/vlc.h
   M /trunk/src/audio_decoder/audio_decoder.c

* Makefile :
- rajout de ac3_decoder ;
- rajout de l'option MMX ;

* Makefile.dep :
- suppression de lignes vides ;

* include/audio_decoder.h, audio_decoder/audio_decoder.c :
- remplacement de AOUT_FRAME_SIZE par ADEC_FRAME_SIZE et aout_frame_t par
adec_frame_t ;

* include/audio_constants.h :
- mise en commentaire du tableau inutilis?\239?\191?\189 ADEC_FRAME_SIZE ;

* include/audio_output.h :
- corrections typographiques ;

* include/vlc.h :
- rajout de ac3_decoder.h ;

------------------------------------------------------------------------
r119 | maxx | 2000-01-17 22:52:36 +0100 (Mon, 17 Jan 2000) | 2 lines
Changed paths:
   A /trunk/include/ac3_decoder.h
   A /trunk/src/ac3_decoder
   A /trunk/src/ac3_decoder/ac3_decoder.c

* Rajout du d?\239?\191?\189but du d?\239?\191?\189codeur ac3 ;

------------------------------------------------------------------------
r120 | seguin | 2000-01-18 00:43:26 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv_c.c

Gestion des touches en GGI (ouf !)

------------------------------------------------------------------------
r121 | seguin | 2000-01-18 01:43:52 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Redimensionnement de la fenetre en fonction de la taille des images sous X11.

------------------------------------------------------------------------
r122 | massiot | 2000-01-18 05:09:13 +0100 (Tue, 18 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_decoder.h.new
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/input/input.c.new
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

Nettoyage global. Le vlc se ferme proprement, elem_t devient dctelem_t, le
macroblock perdu a ?\239?\191?\189t?\239?\191?\189 retrouv?\239?\191?\189, et bien plus...

------------------------------------------------------------------------
r123 | maxx | 2000-01-18 14:55:43 +0100 (Tue, 18 Jan 2000) | 7 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/include/ac3_bit_allocate.h
   M /trunk/include/ac3_decoder.h
   A /trunk/include/ac3_downmix.h
   A /trunk/include/ac3_exponent.h
   A /trunk/include/ac3_imdct.h
   A /trunk/include/ac3_mantissa.h
   A /trunk/include/ac3_parse.h
   A /trunk/include/ac3_rematrix.h
   M /trunk/include/input.h
   A /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   A /trunk/src/ac3_decoder/ac3_downmix.c
   A /trunk/src/ac3_decoder/ac3_exponent.c
   A /trunk/src/ac3_decoder/ac3_imdct.c
   A /trunk/src/ac3_decoder/ac3_mantissa.c
   A /trunk/src/ac3_decoder/ac3_parse.c
   A /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c

* Modification de l'input afin de spawner un d?\239?\191?\189codeur ac3 lorsqu'un tel flux
est d?\239?\191?\189tect?\239?\191?\189 ;

* Impl?\239?\191?\189mentation du d?\239?\191?\189codeur ac3 ;

* Il est rewlz(ac3dec) - 2h00 :-)

------------------------------------------------------------------------
r124 | seguin | 2000-01-18 15:09:58 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video.h

Ajout de quelques membres a picture_t

------------------------------------------------------------------------
r125 | sam | 2000-01-18 15:34:47 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_psi.c

 le bug de input_psi ?\239?\191?\189tait fourbement r?\239?\191?\189apparu.

------------------------------------------------------------------------
r126 | massiot | 2000-01-18 16:00:32 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/vpar_headers.c

i_aspect_ratio et i_matrix_coefficients pour Ptyx.

------------------------------------------------------------------------
r127 | sam | 2000-01-18 17:17:26 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 petit patch pour faire marcher l'AC3

------------------------------------------------------------------------
r128 | sam | 2000-01-18 17:22:12 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 faut pas ?\239?\191?\189tre trop press?\239?\191?\189s dans la vie :)

------------------------------------------------------------------------
r129 | maxx | 2000-01-18 17:33:14 +0100 (Tue, 18 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c

* ac3_decoder/ac3_bit_allocate.c, ac3_decoder/ac3_decoder.c :
- ac3-alpha rewlz :-)

------------------------------------------------------------------------
r130 | maxx | 2000-01-18 19:42:16 +0100 (Tue, 18 Jan 2000) | 10 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c

* ac3_downmix.c :
- suppression des gros scrountchs immondes (c) (qui sont ?\239?\191?\189galement des
pouics parfois) ;

* ac3_bit_allocate.c, ac3_exponent.c, ac3_mantissa.c :
- suppression de tests et messages de debug ;

* ac3_decoder/ac3_decoder.c :
- impl?\239?\191?\189mentation de la synkro qui punix ;

------------------------------------------------------------------------
r131 | polux | 2000-01-18 21:39:12 +0100 (Tue, 18 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/vpar_motion.h
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c


Le parser fonctionne maintenant avec les I, les P et les B.
Reste a implementer la synchro et finir le decodeur.

------------------------------------------------------------------------
r132 | seguin | 2000-01-18 22:50:53 +0100 (Tue, 18 Jan 2000) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   A /trunk/include/video_yuv.h
   M /trunk/src/video_output/video_output.c
   A /trunk/src/video_output/video_yuv.c
   D /trunk/src/video_output/video_yuv_c.c

Changement de l'API de vout (chroma_width)
Nettoyage des YUV.

Ne marche qu'en -g pour le moment, le reste arrive.

------------------------------------------------------------------------
r133 | massiot | 2000-01-18 23:29:35 +0100 (Tue, 18 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vdec_motion.h
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Le motion compensation. Notez que ?\239?\191?\189a ne marche pas (encore).

------------------------------------------------------------------------
r134 | sam | 2000-01-18 23:33:16 +0100 (Tue, 18 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/input/input.c
   M /trunk/src/video_parser/vpar_synchro.c

d?\239?\191?\189but de la synchro. ?\239?\191?\189a n'influe pas sur le reste pour le moment, mais
la base des algos ?\239?\191?\189 deux balles est l?\239?\191?\189.

------------------------------------------------------------------------
r135 | seguin | 2000-01-19 00:16:57 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c

YUV en couleurs.

------------------------------------------------------------------------
r136 | seguin | 2000-01-19 00:43:52 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/video_yuv.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv_mmx.S

YUV MMX, avec aspect ratio !!!

------------------------------------------------------------------------
r137 | sam | 2000-01-19 00:48:13 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

ah ben forc?\239?\191?\189ment, ?\239?\191?\189a risquait pas de compiler si j'inversais new et old

------------------------------------------------------------------------
r138 | maxx | 2000-01-19 01:01:26 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_output/audio_output.c

* ac3_decoder/ac3_decoder.c, audio_output/audio_output.c :
- modification de la synkro, d?\239?\191?\189tection de la fr?\239?\191?\189quence du flux ac3 ;

------------------------------------------------------------------------
r139 | polux | 2000-01-19 02:57:57 +0100 (Wed, 19 Jan 2000) | 4 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c

Avancement du debuggage du motion.

--Meuuh+Stef+Polux+Jimmy

------------------------------------------------------------------------
r140 | seguin | 2000-01-19 03:15:30 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/video_yuv.h
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

Toujours du nettoyage.
Une API pour les sous titres.

------------------------------------------------------------------------
r141 | jimmy | 2000-01-19 03:25:00 +0100 (Wed, 19 Jan 2000) | 8 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_synchro.c

* Le bug des pixels invers?\239?\191?\189s de la dct mmx ?\239?\191?\189 ?\239?\191?\189t?\239?\191?\189 corrig?\239?\191?\189 (et non plus sau-
  vagement kludg?\239?\191?\189).

* La sparse idct fonctionne.

* Plusieurs versions de la dct ont ?\239?\191?\189t?\239?\191?\189 inclues dans vdec_idct pour pou-
  voir choisir la plus performante quand tout marchera.

------------------------------------------------------------------------
r142 | sam | 2000-01-19 03:49:34 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . initialisation propre de la synchro
 . messages de debug ?\239?\191?\189 la con pour essayer de voir o?\239?\191?\189 j'en suis

------------------------------------------------------------------------
r143 | sam | 2000-01-19 07:00:49 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . ultimisation des calculs de pr?\239?\191?\189diction dans la synchro
 . squelette du subtitle_decoder

------------------------------------------------------------------------
r144 | sam | 2000-01-19 07:06:08 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   A /trunk/include/subtitle_decoder.h

 . dernier fichier n?\239?\191?\189cessaire ?\239?\191?\189 la compilation du subtitle decoder

------------------------------------------------------------------------
r145 | maxx | 2000-01-19 10:47:56 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/doc/bugs
   M /trunk/doc/todo

* Documentation/bugs, Documentation/todo :
- mise ?\239?\191?\189 jour des sections concernant les d?\239?\191?\189codeurs audio ;

------------------------------------------------------------------------
r146 | seguin | 2000-01-19 11:04:23 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/interface.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

Nettoyage.

------------------------------------------------------------------------
r147 | seguin | 2000-01-19 11:52:47 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Ajout d'une fonction de deboguage ?\239?\191?\189 UnlinkPicture
VS: ----------------------------------------------------------------------

------------------------------------------------------------------------
r148 | polux | 2000-01-19 13:25:01 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Avancement du motion.

------------------------------------------------------------------------
r149 | seguin | 2000-01-19 13:28:25 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/src/interface/interface.c
   M /trunk/src/video_output/video_output.c

API vout_DateImage (mais ?\239?\191?\189a ne marche pas)
Suite nettoyage

------------------------------------------------------------------------
r150 | massiot | 2000-01-19 14:11:36 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

Corrections de bugs dans le motion.

------------------------------------------------------------------------
r151 | sam | 2000-01-19 14:38:17 +0100 (Wed, 19 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h

 . augmentation de VOUT_FPS_SAMPLES pour un calcul un peu plus r?\239?\191?\189aliste
  des fps, sachant qu'il y a 30 images par seconde sur un DVD, faire une
  moyenne sur 5 images me parait un peu d?\239?\191?\189bile.

------------------------------------------------------------------------
r152 | massiot | 2000-01-19 17:17:27 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c

Support pour les chrominances 422 et 444.

------------------------------------------------------------------------
r153 | seguin | 2000-01-19 17:25:23 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

Resize qui fonctionne.

------------------------------------------------------------------------
r154 | sam | 2000-01-19 17:38:01 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 . pr?\239?\191?\189paration de la modification de l'API synchro

------------------------------------------------------------------------
r155 | seguin | 2000-01-19 17:45:11 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/src/video_output/video_output.c

API vout_DatePicture termin?\239?\191?\189e.

------------------------------------------------------------------------
r156 | massiot | 2000-01-19 18:09:57 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c

Support pour le motion DMV.

------------------------------------------------------------------------
r157 | massiot | 2000-01-19 18:39:09 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

support de vout_DatePicture().

------------------------------------------------------------------------
r158 | seguin | 2000-01-19 19:43:17 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/interface.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c

D?\239?\191?\189but du changement de chaine.

------------------------------------------------------------------------
r159 | sam | 2000-01-19 20:48:31 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c

 commit du chti patch de Meuuh, sinon il est ?\239?\191?\189cras?\239?\191?\189 ?\239?\191?\189 chaque update

------------------------------------------------------------------------
r160 | polux | 2000-01-19 21:27:57 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c

Avancement du debuggage du motion.

------------------------------------------------------------------------
r161 | sam | 2000-01-19 21:59:51 +0100 (Wed, 19 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/vlc.h.new
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_ctrl.c.new

 . ajout des patches ac3 de MaXX dans le nouveau d?\239?\191?\189codeur
 . fix?\239?\191?\189 ce #@!#@! de idct.c.new qui fait _chier_

------------------------------------------------------------------------
r162 | sam | 2000-01-19 22:03:34 +0100 (Wed, 19 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c

 rajoout d'includes pour que ?\239?\191?\189a compile sous FreeBSD (thx Dae)

------------------------------------------------------------------------
r163 | sam | 2000-01-20 05:09:39 +0100 (Thu, 20 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/video_decoder.h
   M /trunk/include/vlc.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c

 giclage de ces putains de .old et .new qu'?\239?\191?\189 chaque commit je me plante
et ?\239?\191?\189 chaque update aussi, alors pouf, des #ifdef ?\239?\191?\189a va aussi..

------------------------------------------------------------------------
r164 | sam | 2000-01-20 05:10:30 +0100 (Thu, 20 Jan 2000) | 2 lines
Changed paths:
   D /trunk/include/video_decoder.h.new
   D /trunk/include/vlc.h.new
   D /trunk/src/input/input.c.new
   D /trunk/src/input/input_ctrl.c.new

 et paf ! n'a pu les sales fichiers .new

------------------------------------------------------------------------
r165 | massiot | 2000-01-20 12:16:13 +0100 (Thu, 20 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c

Correction de l'YUV en 15 bpp.

------------------------------------------------------------------------
r166 | maxx | 2000-01-20 12:23:17 +0100 (Thu, 20 Jan 2000) | 19 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/audio_output/audio_output.c

* Makefile :
- DECODER=old et non DECODER=new ;

* include/ac3_decoder.h :
- rajout, dans la structure ac3dec_thread_t, du membre b_invalid (utilis?\239?\191?\189
pour skipper une frame ac3 invalide) ;

* ac3_decoder/ac3_decoder.c :
- rajout du support de b_invalid ;

* ac3_decoder/ac3_exponent.c :
- optimisations ;

* ac3_decoder/ac3_mantissa.c :
- d?\239?\191?\189tection d'une mantisse invalide et m?\239?\191?\189j de b_invalid ;

* audio_output/audio_output.c :
- resynkro en cas de bouclage du flux ;

------------------------------------------------------------------------
r167 | maxx | 2000-01-20 14:30:38 +0100 (Thu, 20 Jan 2000) | 7 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_output/audio_output.c

* ac3_decoder/ac3_decoder.c :
- m?\239?\191?\189j de la fr?\239?\191?\189quence th?\239?\191?\189orique de chaque frame ac3 ;

* audio_output/audio_output.c :
- d?\239?\191?\189tection des bouclages de flux et resynkronisation automatique sur la
fr?\239?\191?\189quence th?\239?\191?\189orique ;

------------------------------------------------------------------------
r168 | seguin | 2000-01-20 17:12:01 +0100 (Thu, 20 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/input.h
   M /trunk/include/input_file.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_network.h
   M /trunk/include/input_pcr.h
   M /trunk/include/input_psi.h
   M /trunk/include/input_vlan.h
   M /trunk/include/main.h
   M /trunk/include/vlc.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_x11.c

Changement de chaine. Delicat encore, mais il marche. Quelques corrections
esthetiques, un timeout pour les vlans et le frame buffer et c'est la
release d?\239?\191?\189mo (en ce qui me concerne) !

------------------------------------------------------------------------
r169 | seguin | 2000-01-20 18:10:07 +0100 (Thu, 20 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/input/input_vlan.c

Timeout pour les changements de vlan

------------------------------------------------------------------------
r170 | seguin | 2000-01-20 18:17:41 +0100 (Thu, 20 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c

Desactivation du changement de chaine en --novlan

------------------------------------------------------------------------
r171 | massiot | 2000-01-20 19:12:41 +0100 (Thu, 20 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/vpar_headers.c

Correction d'un bug, mais pas DU bug.
(putain quel con)

------------------------------------------------------------------------
r172 | seguin | 2000-01-20 19:18:17 +0100 (Thu, 20 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/input/input_network.c
   M /trunk/src/interface/main.c

Gras de parametres en ligne de commande ou en variables d'environnement,
afin de ne pas avoir a recompiler le client en cas de loose.

------------------------------------------------------------------------
r173 | maxx | 2000-01-20 19:48:21 +0100 (Thu, 20 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/decoder_fifo.h

* include/decoder_fifo.h :
- correction d'un bug dans la fonction GetByte (freeze ?\239?\191?\189ventuel des
d?\239?\191?\189codeurs lors du suicide du thread input) ;

------------------------------------------------------------------------
r174 | maxx | 2000-01-21 05:52:32 +0100 (Fri, 21 Jan 2000) | 11 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c

* ac3_decoder/ac3_decoder.c, audio_decoder/audio_decoder.c :
- correction d'un bug dans la fonction d'initialisation des d?\239?\191?\189codeurs
(freeze lorsqu'aucun paquet PES n'est envoy?\239?\191?\189 aux d?\239?\191?\189codeurs) ;

* audio_output/audio_output.c :
- correction d'un bug dans l'initialisation du flag b_die des fifos des
d?\239?\191?\189codeurs ;
- correction d'un bug dans la lecture des flags b_die des fifos des
d?\239?\191?\189codeurs (les fifos n'?\239?\191?\189taient pas d?\239?\191?\189truites avant la mort du thread
audio_output) ;

------------------------------------------------------------------------
r175 | sam | 2000-01-21 07:59:11 +0100 (Fri, 21 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c

 l'output framebuffer fonctionne presque.
 ca va *pas* merder.

------------------------------------------------------------------------
r176 | sam | 2000-01-21 12:31:01 +0100 (Fri, 21 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/video_output/video_fb.c

 . support framebuffer
 . input clavier limit?\239?\191?\189e mais fonctionnelle

------------------------------------------------------------------------
r177 | massiot | 2000-01-22 00:18:17 +0100 (Sat, 22 Jan 2000) | 6 lines
Changed paths:
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c

Corrections de bugs mineurs divers et vari?\239?\191?\189s, dont :
* video_parser.c : d?\239?\191?\189placement de l'initialisation de la synchro dans
  InitThread(), correction d'un memory leak ;
* vpar_headers.c : correction d'un segfault potentiel, erreur dans une
  en-t?\239?\191?\189te dont on se bat les couilles.

------------------------------------------------------------------------
r178 | jimmy | 2000-01-22 23:02:49 +0100 (Sat, 22 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_headers.c

Correction du bug de la premiere image verte (putain mais quel con)

------------------------------------------------------------------------
r179 | sam | 2000-01-22 23:22:50 +0100 (Sat, 22 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile

 . ajout des flags pour Linux Sparc (au fait, jimmy, t'es con :p)

------------------------------------------------------------------------
r180 | polux | 2000-01-22 23:48:14 +0100 (Sat, 22 Jan 2000) | 5 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_motion.c



Petites corrections de bug dans le motion compensation et le parsage des
blocks non intra.

------------------------------------------------------------------------
r181 | jimmy | 2000-01-23 03:32:41 +0100 (Sun, 23 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vlc.h
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

CA MAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAARCHE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

--Meuuh

------------------------------------------------------------------------
r182 | maxx | 2000-01-23 10:05:32 +0100 (Sun, 23 Jan 2000) | 4 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- suppression d'une macro inutile ;
- proprification d'une ligne de code obscur ;

------------------------------------------------------------------------
r183 | jimmy | 2000-01-23 21:58:39 +0100 (Sun, 23 Jan 2000) | 7 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/src/video_decoder/idctmmx.S
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_output/video_yuv_mmx.S
   M /trunk/src/video_parser/vpar_blocks.c


* Activation des Sparses idct dans le video parser;
* Utilisation de la mmx pour la dct si l'architechture s'y pr?\239?\191?\189te
  (modif de Makefile et vdec_idct)
* idctmmx.S avec une forme d'appel identique a vdec_idct a ete ajoute a
  video_decoder.

------------------------------------------------------------------------
r184 | maxx | 2000-01-24 01:16:38 +0100 (Mon, 24 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_output/audio_output.c

* GoldenEye rewlz :
- explications du commit au prochain commit :-)

------------------------------------------------------------------------
r185 | maxx | 2000-01-24 03:07:29 +0100 (Mon, 24 Jan 2000) | 14 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- impl?\239?\191?\189mentation de la synkro (qui punit m?\239?\191?\189chant) ;

* audio_decoder/audio_decoder.c, ac3_decoder/ac3_decoder.c :
- rajout de vlc_cond_signal() afin de pr?\239?\191?\189venir l'audio_output que de
nouveaux samples ont ?\239?\191?\189t?\239?\191?\189 d?\239?\191?\189cod?\239?\191?\189s ;

* Makefile :
- rajout de l'options de compilation -g ;
- utilisation du old decoder (synkro) ;

* include/config.h :
- suppression des messages de debug ;

------------------------------------------------------------------------
r186 | sam | 2000-01-24 04:28:44 +0100 (Mon, 24 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/vlc.h
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/interface/control.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c

 . un chti peu plus de synchro video, mais c'est pas encore ?\239?\191?\189a
 . suppression des #include "X11/*" pour que ?\239?\191?\189a compile sans X
 . alban, t'es mortel

------------------------------------------------------------------------
r187 | sam | 2000-01-24 07:53:03 +0100 (Mon, 24 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vpar_synchro.h

 fichiers oubli?\239?\191?\189s qui faisaient que ?\239?\191?\189a compile pas

------------------------------------------------------------------------
r188 | seguin | 2000-01-24 13:53:49 +0100 (Mon, 24 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/interface/main.c

Makefile et config.

------------------------------------------------------------------------
r189 | massiot | 2000-01-25 01:09:39 +0100 (Tue, 25 Jan 2000) | 5 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vlc.h
   M /trunk/include/vpar_blocks.h
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c
   M /trunk/src/video_parser/vpar_synchro.c

* Optimisation de vdec_motion.c et video_decoder.c ;
* Passage des fonctions de la video_fifo en inline ;
* Correction d'un bug provoquant un overflow des messages dans
vpar_headers.c.

------------------------------------------------------------------------
r190 | jimmy | 2000-01-25 01:23:26 +0100 (Tue, 25 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c

  Ajout de fonctions yuv permettant un scaling 'exotique' en fin du
fichier. Elles seront testees des que l'output le permettra.

------------------------------------------------------------------------
r191 | massiot | 2000-01-25 02:51:50 +0100 (Tue, 25 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* Ajout d'un flag VDEC_SMP ?\239?\191?\189 commenter si on n'a qu'un seul
microprocesseur.

------------------------------------------------------------------------
r192 | sam | 2000-01-25 06:44:12 +0100 (Tue, 25 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . correction d'un bug dans l'interface framebuffer
 . d?\239?\191?\189but de synchro qui marchouille, mais tous mes flux merdent

------------------------------------------------------------------------
r193 | maxx | 2000-01-25 20:02:50 +0100 (Tue, 25 Jan 2000) | 5 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- rajout de messages de debug en attendant de trouver le coefficient de
synkro optimal ;
- modification du coefficient de synkro (8 -> 256) ;

------------------------------------------------------------------------
r194 | sam | 2000-01-26 02:25:21 +0100 (Wed, 26 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

 . synchro qui marchouille de plus en plus

------------------------------------------------------------------------
r195 | massiot | 2000-01-26 03:38:42 +0100 (Wed, 26 Jan 2000) | 5 lines
Changed paths:
   M /trunk/include/vdec_motion.h
   M /trunk/include/video_fifo.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_motion.c

* Optimisation du parseur ;
* R?\239?\191?\189activation du motion DMV ;

Pour info, on torche largement le d?\239?\191?\189codeur de r?\239?\191?\189f?\239?\191?\189rence (50 %).

------------------------------------------------------------------------
r196 | massiot | 2000-01-26 03:57:45 +0100 (Wed, 26 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/src/video_parser/vpar_motion.c

vpar_motion.c n'est plus n?\239?\191?\189cessaire d?\239?\191?\189sormais.

------------------------------------------------------------------------
r197 | sam | 2000-01-26 17:33:23 +0100 (Wed, 26 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . encore un peu plus de synchro. si ?\239?\191?\189a saccade c'est normal, ?\239?\191?\189a sera
  r?\239?\191?\189gl?\239?\191?\189 dans l'heure, mais j'ai commit?\239?\191?\189 pour qu'on puisse enfin voir
  des B avec le nouveau d?\239?\191?\189codeur (qui torchaize)

------------------------------------------------------------------------
r198 | maxx | 2000-01-26 19:59:32 +0100 (Wed, 26 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

* audio_output/audio_output.c :
- mise en commentaire de l'affichage de l'aout_debug ;

------------------------------------------------------------------------
r199 | massiot | 2000-01-26 21:48:35 +0100 (Wed, 26 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

* Optimisation du video_parser ; define VPAR_OPTIM_LEVEL dans config.h
  pour r?\239?\191?\189gler le temps de compilation ;
* virage d'un printf dans l'idct et d'une fonction inutile.

------------------------------------------------------------------------
r200 | massiot | 2000-01-26 22:08:19 +0100 (Wed, 26 Jan 2000) | 2 lines
Changed paths:
   D /trunk/include/vpar_motion.h
   M /trunk/src/video_parser/vpar_headers.c

Fichier d?\239?\191?\189sormais inutile.

------------------------------------------------------------------------
r201 | sam | 2000-01-26 23:46:37 +0100 (Wed, 26 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . nouvelle synchro. ?\239?\191?\189a devrait d?\239?\191?\189j?\239?\191?\189 fonctionner correctement en monothread

------------------------------------------------------------------------
r202 | massiot | 2000-01-27 00:16:11 +0100 (Thu, 27 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/src/video_parser/vpar_blocks.c

Nettoyage et commentationnement.

------------------------------------------------------------------------
r203 | seguin | 2000-01-27 19:30:01 +0100 (Thu, 27 Jan 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   A /trunk/include/video_text.h
   A /trunk/lib/default8x16.psf
   A /trunk/lib/default8x9.psf
   M /trunk/src/video_output/video_output.c
   A /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c

Nouveau moteur de fontes.

------------------------------------------------------------------------
r204 | massiot | 2000-01-28 00:12:03 +0100 (Fri, 28 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c

Tentative de fix pour le segfault du d?\239?\191?\189codeur (qui est en fait une erreur
du parseur).

------------------------------------------------------------------------
r205 | stef | 2000-01-28 01:12:32 +0100 (Fri, 28 Jan 2000) | 2 lines
Changed paths:
   M /trunk/include/video_parser.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c

. D?\239?\191?\189placement de deux structures de lookup dans le parseur

------------------------------------------------------------------------
r206 | massiot | 2000-01-28 02:20:53 +0100 (Fri, 28 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c

Fix pour le bug de la chrominance qui saute.

------------------------------------------------------------------------
r207 | massiot | 2000-01-28 03:10:08 +0100 (Fri, 28 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c

* Correction d'un message d'erreur erronn?\239?\191?\189 dans l'input ;
* Correction d'un bug de synchro ;

------------------------------------------------------------------------
r208 | seguin | 2000-01-30 16:08:59 +0100 (Sun, 30 Jan 2000) | 9 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/video_sys.h
   M /trunk/include/video_text.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

Nouvelle interface, effacement des zones modifi?\239?\191?\189es d'une image sur 2,
calcul de la taille optimale d'une image, scaling.

-Le scaling donne de bonnes tailles, mais les conversions YUV ne peuvent
pas suivre pour le moment.
-J'ai peut etre un peu cass?\239?\191?\189 le fb et ggi (trop long ?\239?\191?\189 compiler pour tester).
En cas de probl?\239?\191?\189me, je corrige de suite.
-Les idle screens ("no stream") sont temporairement hors service.

------------------------------------------------------------------------
r209 | stef | 2000-01-31 00:31:26 +0100 (Mon, 31 Jan 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/input/input.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Am?\239?\191?\189lioration de la synchro.

--Meuuh

------------------------------------------------------------------------
r210 | sam | 2000-01-31 01:35:13 +0100 (Mon, 31 Jan 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/input.h
   A /trunk/include/spu_decoder.h
   D /trunk/include/subtitle_decoder.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/vlc.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c
   A /trunk/src/spu_decoder
   A /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c

 . le d?\239?\191?\189codeur de sous-titres s'appelle maintenant spu_decoder
 . auto spawn du spu_decoder (pour le moment ?\239?\191?\189a chie)

------------------------------------------------------------------------
r211 | maxx | 2000-01-31 02:16:00 +0100 (Mon, 31 Jan 2000) | 18 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c

IMPORTANT :
* ce commit devrait corriger les probl?\239?\191?\189mes de fermeture du vlc, commentaires
souhait?\239?\191?\189s (et obligatoires) ;
* le probl?\239?\191?\189me de la synkro initiale de l'audio devrait ?\239?\191?\189tre corrig?\239?\191?\189 : reports
souhait?\239?\191?\189s (et obligatoires) gr?\239?\191?\189ce aux messages "aout debug" ;
* en clair FAITES PETER UN MAIL avec vos messages "aout debug" et vos coups
de gueule/coups de coeur quant ?\239?\191?\189 la fermeture du vlc ;-)

* ac3_decoder/ac3_decoder.c, audio_decoder/audio_decoder.c :
- rajout d'un msleep() en d?\239?\191?\189but de fonction RunThread() afin de
contrebalancer le d?\239?\191?\189lai entre la r?\239?\191?\189ception d'un paquet TS et la
pr?\239?\191?\189sentation de son contenu (INPUT_PTS_DELAY) ;
- rajout d'un cond_signal() dans la fonction EndThread() ;

* audio_output/audio_output.c :
- activation des messages de debug ;
- r?\239?\191?\189?\239?\191?\189criture de la fonction NextFrame() ;

------------------------------------------------------------------------
r212 | stef | 2000-01-31 03:29:13 +0100 (Mon, 31 Jan 2000) | 4 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/video_parser/vpar_blocks.c

Ca ne devrait plus segfaulter maintenant. Correction d'un bug dans l'input.

--Meuuh

------------------------------------------------------------------------
r213 | sam | 2000-01-31 04:42:07 +0100 (Mon, 31 Jan 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

 . remis le kludge du i_coding_type == I_CODING_TYPE en attendant qu'on
  comprenne pourquoi ?\239?\191?\189a merde (?\239?\191?\189a doit ?\239?\191?\189tre tout con, mais je trouve pas)

------------------------------------------------------------------------
r214 | sam | 2000-01-31 06:03:45 +0100 (Mon, 31 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/spu_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/spu_decoder/spu_decoder.c

 . initialisation du d?\239?\191?\189codeur de sous-titres
 . correction du bug de quit

------------------------------------------------------------------------
r215 | seguin | 2000-01-31 14:32:33 +0100 (Mon, 31 Jan 2000) | 12 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/video_text.h
   M /trunk/include/video_yuv.h
   M /trunk/src/interface/interface.c
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

Mise place du scaling, episode II
Alignement am?\239?\191?\189lior?\239?\191?\189
Effacement 'intelligent' des zones modifi?\239?\191?\189es
Correction d'une memory corruption
Structure d'acceuil pour les subpictures
ggi et fb fonctionnent (pas mieux qu'avant, mais ils compilent)

Ca rame. C'est normal, c'est la YUV en C qui est utilis?\239?\191?\189e. C'est aussi normal
parce que l'effacement, ?\239?\191?\189a prends un peu de temps (et ?\239?\191?\189a c'est d?\239?\191?\189finitif).
Ce n'est pas beau: normal, il n'y a que du croping pour le moment, le scaling
arrive.

------------------------------------------------------------------------
r216 | seguin | 2000-01-31 15:00:05 +0100 (Mon, 31 Jan 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Correction du bug 100% CPU en idle.

------------------------------------------------------------------------
r217 | seguin | 2000-01-31 17:56:37 +0100 (Mon, 31 Jan 2000) | 3 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/interface.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   A /trunk/vlc.channels

Changement de cha?\239?\191?\189ne configurable depuis un fichier texte.
Quelques corrections esthetiques dans vout.

------------------------------------------------------------------------
r218 | massiot | 2000-02-01 00:11:34 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Synchro de base.

------------------------------------------------------------------------
r219 | massiot | 2000-02-01 01:13:07 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

Tentative d'amelioration de la synchro.

------------------------------------------------------------------------
r220 | seguin | 2000-02-01 01:50:29 +0100 (Tue, 01 Feb 2000) | 3 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/vpar_synchro.c

Temporaire (?\239?\191?\189a segfaulte si on le chatouille un peu).
YUV walken avec resize. Y et + seulement pour le moment.

------------------------------------------------------------------------
r221 | massiot | 2000-02-01 02:37:18 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/video_parser/vpar_synchro.c

Re-tentative de sauvetage de la synchro.

------------------------------------------------------------------------
r222 | massiot | 2000-02-01 02:38:06 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/Makefile

Un Makefile qui est parti un peu vite...

------------------------------------------------------------------------
r223 | massiot | 2000-02-01 03:16:56 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Rajout de #define SAM_SYNCHRO si sam veut reprendre son code.

------------------------------------------------------------------------
r224 | jimmy | 2000-02-01 04:00:16 +0100 (Tue, 01 Feb 2000) | 6 lines
Changed paths:
   M /trunk/src/video_decoder/video_decoder.c


* Fonctions addblock et copyblock en inline MMX (pour ceux qui en ont...
  du MMX).
* Pour tout defaut suppos?\239?\191?\189 d'affichage ?\239?\191?\189 la suite du changement,
  mailez-moi.

------------------------------------------------------------------------
r225 | seguin | 2000-02-01 10:30:10 +0100 (Tue, 01 Feb 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c

Scaling vertical dans les 2 sens en YUV walken.

------------------------------------------------------------------------
r226 | seguin | 2000-02-02 00:13:54 +0100 (Wed, 02 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c

Scaling horizontal >=1

------------------------------------------------------------------------
r227 | maxx | 2000-02-02 22:52:20 +0100 (Wed, 02 Feb 2000) | 3 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/intf_ctrl.c

* audio_output/audio_output.c, interface/intf_ctrl.c :
- suppression de deux warnings ?\239?\191?\189 la noix de cajou polym?\239?\191?\189re ;

------------------------------------------------------------------------
r228 | seguin | 2000-02-03 02:23:21 +0100 (Thu, 03 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_yuv.c

Synchro am?\239?\191?\189lior?\239?\191?\189e X et Y, dans les 2 sens

------------------------------------------------------------------------
r229 | maxx | 2000-02-03 04:37:46 +0100 (Thu, 03 Feb 2000) | 11 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/spu_decoder/spu_decoder.c

* audio_output/audio_output.c :
- suppression du fprintf() de debug ;

* spu_decoder/spu_decoder.c :
- suppression des fprintf() de debug ;
- la nouvelle version est pr?\239?\191?\189te mais je ne la commit pas encore ;

* input/input_psi.c :
- le d?\239?\191?\189codeur spu ?\239?\191?\189tait autospawn?\239?\191?\189 uniquement si b_audio ?\239?\191?\189tait ?\239?\191?\189 1...
remplacement de b_audio par b_video (g bon sam ?) ;

------------------------------------------------------------------------
r230 | maxx | 2000-02-03 05:46:29 +0100 (Thu, 03 Feb 2000) | 3 lines
Changed paths:
   M /trunk/src/spu_decoder/spu_decoder.c

* spu_decoder/spu_decoder.c :
- ?\239?\191?\189a devrait bien se passer maintenant :-)

------------------------------------------------------------------------
r231 | seguin | 2000-02-03 13:40:03 +0100 (Thu, 03 Feb 2000) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_text.c

Correction du bug de calcul du masque (fontes outlines, point sous les ]).
Vive les ^ qui suivent les ].

------------------------------------------------------------------------
r232 | seguin | 2000-02-03 14:38:13 +0100 (Thu, 03 Feb 2000) | 4 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c

Suppression de la ligne verte.
Scaling encore optimis?\239?\191?\189.
Suppression d'un bug causant un segfault sur certaines tailles de fenetre.

------------------------------------------------------------------------
r233 | seguin | 2000-02-04 14:20:22 +0100 (Fri, 04 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_yuv.c

Correction du segfault en gris.

------------------------------------------------------------------------
r234 | seguin | 2000-02-04 15:48:34 +0100 (Fri, 04 Feb 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c

Support 4:2:2, 4:4:4 et niveaux de gris en 15, 16 et 32 bpp complet.

------------------------------------------------------------------------
r235 | maxx | 2000-02-04 21:52:16 +0100 (Fri, 04 Feb 2000) | 44 lines
Changed paths:
   M /trunk/include/ac3_decoder.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c

* ac3_decoder/ac3_decoder.c :
- suppression des `#ifdef AC3_SIGSEGV' ;
- correction d'un bug de la fonction `InitThread()' (scotchage ?\239?\191?\189
l'initialisation du d?\239?\191?\189codeur AC3 dans certaines conditions tr?\239?\191?\189s
particuli?\239?\191?\189res) ;
- support du bool?\239?\191?\189en `b_invalid' permettant de d?\239?\191?\189tecter des frames
suppos?\239?\191?\189es invalides ;

* ac3_decoder/ac3_exponent.c :
- suppression des `#ifdef AC3_SIGSEGV' ;
- d?\239?\191?\189tection des frames invalides et support du bool?\239?\191?\189en `b_invalid' ;

* ac3_decoder/ac3_mantissa.c :
- suppression des `#ifdef AC3_SIGSEGV' ;
- d?\239?\191?\189tection des frames invalides et support du bool?\239?\191?\189en `b_invalid' ;
- optimisation de la fonction `mantissa_unpack()' ;

* audio_decoder/audio_decoder.c :
- correction d'un bug de la fonction `InitThread()' (scotchage ?\239?\191?\189
l'initialisation du d?\239?\191?\189codeur MPEG2 dans certaines conditions tr?\239?\191?\189s
particuli?\239?\191?\189res) ;

* include/ac3_decoder.h :
- suppression du `#define AC3_SIGSEGV' ;

* include/vpar_synchro.h :
- d?\239?\191?\189claration explicite de la fonction `vpar_SynchroKludge()' lorsque
`SAM_SYNCHRO' n'est pas activ?\239?\191?\189e ;

* interface/intf_ctrl.c :
- initialisation ?\239?\191?\189 `-1' des variables `i_input' et `i_pid' de la
fonction `SelectPID()' ;

* video_output/video_yuv.c :
- mise en commentaire de la fonction inutilis?\239?\191?\189e `yuvToRgb24()' ;

* video_parser/video_parser.c :
- int?\239?\191?\189gration du patch propos?\239?\191?\189 dans videolan-devel ;

* video_parser/vpar_blocks.c :
- int?\239?\191?\189gration du patch propos?\239?\191?\189 dans videolan-devel ;

NdlR : apu warnings ?\239?\191?\189 la compilation :-)

------------------------------------------------------------------------
r236 | maxx | 2000-02-04 23:03:32 +0100 (Fri, 04 Feb 2000) | 4 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c

* ac3_decoder/ac3_decoder.c, audio_decoder/audio_decoder.c :
- `msleep' de `INPUT_PTS_DELAY' et non `(3 * INPUT_PTS_DELAY) / 4'
avant le d?\239?\191?\189marrage des d?\239?\191?\189codeurs audio ;

------------------------------------------------------------------------
r237 | sam | 2000-02-05 02:57:36 +0100 (Sat, 05 Feb 2000) | 5 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

 . prototypes de fonctions pour le 8bpp
 . virage d'un bug dans le calcul de bytes_per_line (sauf fumage de ma part)
 . suppression de quelques #@@#@!!#@@#!@#@#! d'espaces en fin de ligne
 . quelques reformatages ?\239?\191?\189 79 colonnes au lieu de @@#@!!#@@#!@#@#!# 81.

------------------------------------------------------------------------
r238 | seguin | 2000-02-06 14:13:10 +0100 (Sun, 06 Feb 2000) | 15 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c

IMPORTANT:
	p_vout->i_depth est maintenant la profondeur SIGNIFICATIVE de
		l'?\239?\191?\189cran (8, 15, 16 ou 24)
	p_vout->i_bytes_per_pixel est la profondeur r?\239?\191?\189elle (1, 2, 3 ou 4)

Ajout du calcul des d?\239?\191?\189calages ?\239?\191?\189 video_output.
Refonte de l'initialisation des tables.
D?\239?\191?\189tection correcte des profondeurs 24/24 et 24/32 en X11
Correction de bugs dans le scaling en 1, 3 et 4 Bpp.
R?\239?\191?\189cup?\239?\191?\189ration des masques depuis le materiel en X11 et GGI.

FrameBuffer cass?\239?\191?\189 pour le moment: il faut rajouter les masques de couleur
(des valeurs par d?\239?\191?\189faut sont au d?\239?\191?\189but de video_yuv.c) et le calcul des
nouvelles profondeurs d'?\239?\191?\189cran.

------------------------------------------------------------------------
r239 | sam | 2000-02-06 16:48:53 +0100 (Sun, 06 Feb 2000) | 8 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/vpar_synchro.c

 . yuv pour le 8 bits noir et blanc
 . yuv 8 bits couleur (bon c'est moche pour le moment, mais ?\239?\191?\189a vient)
 . correction de "convertion" en "conversion" un peu partout :)

?\239?\191?\189 faire encore : allouer dynamiquement la lookup table pour la YUV 8 bits,
parce que directement dans p_vout ?\239?\191?\189a pue un peu, faire le changement de
palette qui va bien au passage couleur / n&b.

------------------------------------------------------------------------
r240 | sam | 2000-02-07 05:54:01 +0100 (Mon, 07 Feb 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/src/video_output/video_dummy.c

 . rajout du mode video 'dummy' pour les gens qui n'ont pas de carte
  video. Le premier qui se marre se prend une claque.

------------------------------------------------------------------------
r241 | sam | 2000-02-07 06:13:22 +0100 (Mon, 07 Feb 2000) | 9 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_yuv.c

 . suite de l'output 8 bits couleur/n&b
 . correction d'un bug dans la g?\239?\191?\189n?\239?\191?\189ration de la palette optimale
 . YUV avec dithering mortel qui tue

todo:
 . x11 (?\239?\191?\189a ne marche qu'en framebuffer pour le moment)
 . mettre la g?\239?\191?\189n?\239?\191?\189ration de palette dans video_yuv
 . refaire marcher l'output framebuffer pour bpp!=8

------------------------------------------------------------------------
r242 | sam | 2000-02-08 06:08:15 +0100 (Tue, 08 Feb 2000) | 14 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/interface/interface.c
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_yuv.c

 . gestion du gamma en 8bpp grayscale
 . optimisations dans la YUV 8bpp
 . l'output framebuffer ne bloque plus la console
 . rajout d'une fonction dans la structure vout pour allouer une palette
 . r?\239?\191?\189initialisation de l'ancienne palette en quittant

bugs restant:
 . pas d'allocation de palette en 8bits sous X11
 . bugs du scaling en 8bits sous X11 (sans doute d?\239?\191?\189 ?\239?\191?\189 l'alignement sur 1
  octet au lieu de 2)
 . l'output framebuffer est toujours p?\239?\191?\189t?\239?\191?\189e pour 16 et 32 bits
 . pas de correction gamma en 8bits couleur
 . c'est tout moche pendant la fraction de seconde du changement de palette

------------------------------------------------------------------------
r243 | sam | 2000-02-09 03:04:28 +0100 (Wed, 09 Feb 2000) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_fb.c

 . un peu de m?\239?\191?\189nage dans video_fb.c
 . r?\239?\191?\189cup?\239?\191?\189ration des masks dans la structure framebuffer, ce qui fait que
  l'output framebuffer fonctionne ?\239?\191?\189 nouveau.

------------------------------------------------------------------------
r244 | sam | 2000-02-09 06:50:25 +0100 (Wed, 09 Feb 2000) | 5 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/src/interface/intf_3dfx.c
   A /trunk/src/video_output/video_3dfx.c

 . video output pour 3dfx.
 . le premier qui se marre gagne le droit de venir voir comment ma 3dfx1
  fait l'overlay, le scaling et la YUV en hard (nan je d?\239?\191?\189conne, elle fait
  rien de tout ?\239?\191?\189a, et en plus ?\239?\191?\189a rame).

------------------------------------------------------------------------
r245 | sam | 2000-02-10 04:15:16 +0100 (Thu, 10 Feb 2000) | 4 lines
Changed paths:
   M /trunk/src/interface/intf_3dfx.c
   M /trunk/src/video_output/video_3dfx.c
   M /trunk/src/video_output/video_output.c

 . double buffering avec locks pour 3dfx
 . gestion des touches pour l'interface 3dfx
 . proprification de la gestion des touches en framebuffer

------------------------------------------------------------------------
r246 | sam | 2000-02-10 06:57:10 +0100 (Thu, 10 Feb 2000) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_output.c

 Juste une modif ?\239?\191?\189 la con dans video_output pour que le message "waiting
 for stream" s'affiche d?\239?\191?\189s le lancement du vlc. En m?\239?\191?\189me temps ?\239?\191?\189a me
 permet de tester que la migration du CVS sur shiva a fonctionn?\239?\191?\189.

------------------------------------------------------------------------
r247 | sam | 2000-02-13 05:31:35 +0100 (Sun, 13 Feb 2000) | 21 lines
Changed paths:
   M /trunk/include/ac3_decoder.h
   M /trunk/include/audio_constants.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_dsp.h
   M /trunk/include/audio_math.h
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/control.h
   M /trunk/include/debug.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/generic_decoder.h
   M /trunk/include/input.h
   M /trunk/include/input_ctrl.h
   M /trunk/include/input_file.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_network.h
   M /trunk/include/input_pcr.h
   M /trunk/include/input_psi.h
   M /trunk/include/input_vlan.h
   M /trunk/include/interface.h
   M /trunk/include/intf_cmd.h
   M /trunk/include/intf_console.h
   M /trunk/include/intf_ctrl.h
   M /trunk/include/intf_msg.h
   M /trunk/include/intf_sys.h
   M /trunk/include/main.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/rsc_files.h
   M /trunk/include/spu_decoder.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_graphics.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/include/video_sys.h
   M /trunk/include/video_text.h
   M /trunk/include/video_x11.h
   M /trunk/include/video_yuv.h
   M /trunk/include/vlc.h
   M /trunk/include/vlc_thread.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_output/audio_dsp.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/control.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_3dfx.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/idctmmx.S
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_3dfx.c
   M /trunk/src/video_output/video_dummy.c
   M /trunk/src/video_output/video_fb.c
   M /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv_mmx.S
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 Je vous avais pr?\239?\191?\189venu. Le demoronifier a frapp?\239?\191?\189.

 D?\239?\191?\189sol?\239?\191?\189 pour le flood. Les en-t?\239?\191?\189tes de fonctions ne font plus 81
caract?\239?\191?\189res, et il n'y a plus d'espaces inutiles, Tous les trailing
spaces ont disparu, j'ai essay?\239?\191?\189 de v?\239?\191?\189rifier que ?\239?\191?\189a ne p?\239?\191?\189tait rien,
mais j'ai pu oublier un truc con. J'accepte tous types de ch?\239?\191?\189timents
?\239?\191?\189 base d'orties fra?\239?\191?\189ches.

 D?\239?\191?\189sol?\239?\191?\189 d'avoir aussi modifi?\239?\191?\189 les fichiers de ceux qui formataient
bien proprement leurs en-t?\239?\191?\189tes ?\239?\191?\189 80 et pas 79 sans emb?\239?\191?\189ter personne,
mais j'ai d?\239?\191?\189 choisir entre les deux.

 Dor?\239?\191?\189navant ce serait bien de formater les en-t?\239?\191?\189tes et les commentaires
justifi?\239?\191?\189s ?\239?\191?\189 droite ?\239?\191?\189 79 colonnes, ou au pire ?\239?\191?\189 80.

 . 1343 moronic long lines destroyed
 . 12893 trailing spaces eradicated
 . 115 ugly macros fixed
 . 959 innocent a_bit_long lines shortened
 But hey, 40054 lines were OK !

------------------------------------------------------------------------
r248 | sam | 2000-02-13 20:43:02 +0100 (Sun, 13 Feb 2000) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/interface/control.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_fb.c

 . d?\239?\191?\189tection d'un processeur MMX.
 . l'output fb remet le terminal comme il faut en sortant.
 . s?\239?\191?\189paration du flag MMX et de l'architecture dans le Makefile

------------------------------------------------------------------------
r249 | sam | 2000-02-14 09:44:59 +0100 (Mon, 14 Feb 2000) | 19 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/ac3_decoder.h
   M /trunk/include/config.h
   M /trunk/include/debug.h
   M /trunk/include/input_netlist.h
   M /trunk/include/interface.h
   M /trunk/include/intf_sys.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/include/video_sys.h
   M /trunk/include/vlc_thread.h
   M /trunk/src/interface/interface.c
   D /trunk/src/interface/intf_3dfx.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_decoder/idctmmx.S
   M /trunk/src/video_decoder/vdec_idct.c
   D /trunk/src/video_output/video_3dfx.c
   D /trunk/src/video_output/video_dummy.c
   D /trunk/src/video_output/video_fb.c
   D /trunk/src/video_output/video_ggi.c
   M /trunk/src/video_output/video_output.c
   D /trunk/src/video_output/video_x11.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv_mmx.S
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 . fix?\239?\191?\189 une erreur de syntaxe dans video_fb.c
 . *3dfx* devient *glide*
 . suppression de tabulations dans quelques fichiers
 . suppression des 2 warnings dans sam_synchro
 . video_* devient vout_* quand ce sont des m?\239?\191?\189thodes de vout
 . tentative de correction de la d?\239?\191?\189tection de MMX pour BeOS
 . nouvelle option vlc_vout_method (faute de mieux pour le moment)
 . modification du Makefile pour supporter plusieurs VIDEO_*

dor?\239?\191?\189navant on peut compiler plusieurs output diff?\239?\191?\189rents dans le
client. la pr?\239?\191?\189f?\239?\191?\189rence se fait dans l'ordre x11, fb, ggi, glide...

si on le compile avec x11 et fb, par d?\239?\191?\189faut il se lancera en X.
pour le lancer en framebuffer :
./vlc vlc_vout_method=fb

(il faut que je proprifie un peu le choix de l'output, et que je
facilite l'ajout d'un nouveau vout_*)

------------------------------------------------------------------------
r250 | sam | 2000-02-15 06:25:49 +0100 (Tue, 15 Feb 2000) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_yuv.c

 . am?\239?\191?\189lioration de la YUV 8bpp
 . nettoyage du code de gestion des m?\239?\191?\189thodes vout
 . nouvelle option --vout
 . pr?\239?\191?\189paration de l'?\239?\191?\189clatage de l'audio output comme ?\239?\191?\189a a ?\239?\191?\189t?\239?\191?\189
  fait avec le vout.
 . nouvelle commande --long-help

La s?\239?\191?\189lection de la m?\239?\191?\189thode vout est encore plus simple. Pour s?\239?\191?\189lectionner
le framebuffer par exemple : "vlc --vout fb". Par d?\239?\191?\189faut, X11 est choisi.

------------------------------------------------------------------------
r251 | sam | 2000-02-16 01:35:19 +0100 (Wed, 16 Feb 2000) | 2 lines
Changed paths:
   M /trunk/Makefile

 . virage de cette #@!#@@#@#!@#@#!!@#@!!#@!@!!@# de d?\239?\191?\189pendance du Makefile

------------------------------------------------------------------------
r252 | sam | 2000-02-16 04:54:07 +0100 (Wed, 16 Feb 2000) | 8 lines
Changed paths:
   D /trunk/include/audio_dsp.h
   M /trunk/include/audio_output.h
   A /trunk/include/audio_sys.h
   M /trunk/include/intf_sys.h
   M /trunk/include/video_sys.h
   D /trunk/src/audio_output/audio_dsp.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/video_output/video_output.c

 o changement de nom des fonctions sp?\239?\191?\189cifiques BeOS
 o d?\239?\191?\189but de l'?\239?\191?\189clatage de l'audio_output :
   . giclage des variables *dsp* en faveur de *sys*
   . aout_*GetBufInfo renvoie l_bytes pour que video_output.c ne d?\239?\191?\189pende
    plus de la structure audio_buf_info sp?\239?\191?\189cifique ?\239?\191?\189 <linux/soundcard.h>
   . cr?\239?\191?\189ation de la m?\239?\191?\189thode audio 'dummy' qui ne fait rien.
 o nouvelle option --aout acceptant 'dummy' et 'dsp' pour le moment

------------------------------------------------------------------------
r253 | sam | 2000-02-16 08:27:26 +0100 (Wed, 16 Feb 2000) | 7 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/audio_sys.h
   M /trunk/include/common.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/intf_ctrl.c
   D /trunk/src/video_decoder/idctmmx.S
   A /trunk/src/video_decoder/vdec_idctmmx.S

 o renommage arbitraire et totalitaire de idctmmx.S en vdec_idctmmx.S
 o correction d'une typo d?\239?\191?\189bile dans audio_output au commit pr?\239?\191?\189c?\239?\191?\189dent
 o b_stereo est remplac?\239?\191?\189 par i_channels
 o suppression de la structure aout_dsp_t dont les membres d?\239?\191?\189pendant
  de l'output se retrouve dans aout_*_sys_t, et les autres directement
  dans aout_thread_t, on se fait pas chier.

------------------------------------------------------------------------
r254 | polux | 2000-02-17 01:43:58 +0100 (Thu, 17 Feb 2000) | 7 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/input/input.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Corrections de quelques petits bugs et surtout nouvelle synchro qui ne semble
pas trop mal marcher sur ma machine mais qui j'en suis s?\239?\191?\189r ne marchera pas du
tout sur la votre.

A noter qu'il existe maintenant 3 synchros que l'on peut choisir en changeant
le define dans vpar_synchro.h (POLUX_SYNCHRO, SAM_SYNCHRO, MEUUH_SYNCHRO)

------------------------------------------------------------------------
r255 | sam | 2000-02-17 07:07:37 +0100 (Thu, 17 Feb 2000) | 20 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/audio_sys.h
   M /trunk/include/config.h
   M /trunk/include/video_sys.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c

 o remise de b_stereo dans les structures audio en attendant que soit
  d?\239?\191?\189finie une api pour la gestion de plus de 2 voies, qui de toute fa?\239?\191?\189on
  est loin d'?\239?\191?\189tre une priorit?\239?\191?\189. je dirais m?\239?\191?\189me qu'on s'en fout.
 o argument suppl?\239?\191?\189mentaire pour GetBufInfo() pour que la m?\239?\191?\189thode dummy
  attende un temps convenable, et correction de aout_dummy.c
 o le test sur la variable DEBUG dans config.h est maintenant conforme
  ?\239?\191?\189 ce que dit le Makefile.
 o suppression d'une variable inutile dans intf_fb.c
 o --long-help devient --longhelp comme dans mpg123
 o version du programme arbitrairement mise ?\239?\191?\189 0.95.0
 o commentaire d'une variable inutilis?\239?\191?\189e dans Synchronize (video_output.c)
 o correction du "LIN" en "LIB" dans le Makefile, qui doit tra?\239?\191?\189ner l?\239?\191?\189
  depuis des si?\239?\191?\189cles
 o proprification de quelques routines du Makefile

le code de s?\239?\191?\189lection de m?\239?\191?\189thode audio/video est loin d'?\239?\191?\189tre propre, je
dirais m?\239?\191?\189me que c'est du gros caca, mais j'y bosse.

bonne nuit,

------------------------------------------------------------------------
r256 | dae | 2000-02-17 12:04:52 +0100 (Thu, 17 Feb 2000) | 2 lines
Changed paths:
   M /trunk/include/vlc.h
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input_vlan.c

remaniement de quelsques includes pour que ca passe sous BSD.

------------------------------------------------------------------------
r257 | polux | 2000-02-17 17:36:25 +0100 (Thu, 17 Feb 2000) | 11 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

Premier service pack de la POLUX_SYNCHRO:
 o 0 bug fixe
 o several bugs added
 o synchro is now slower than ever

Si par chance cela marchait chez vous pr?\239?\191?\189venez moi vite.

Mise ?\239?\191?\189 0 du flag DEBUG pour tester la synchro dans les meilleures conditions
possibles, attention les acc?\239?\191?\189s disque du mini-server ainsi que les nombreuses
irr?\239?\191?\189gularit?\239?\191?\189s du flux peuvent perturber le client de fa?\239?\191?\189on non n?\239?\191?\189gligeable.

------------------------------------------------------------------------
r258 | polux | 2000-02-17 19:04:38 +0100 (Thu, 17 Feb 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Petite modif dans la synchro, peut-?\239?\191?\189tre que cela marchera mieux, qui sait ?

------------------------------------------------------------------------
r259 | walken | 2000-02-17 20:28:00 +0100 (Thu, 17 Feb 2000) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/decoder_fifo.h
   A /trunk/src/misc/decoder_fifo.c

Modification de decoder_fifo.h : le cas ou on passe d'un buffer a l'autre
lors de la lecture d'un octet n'est plus inline. Precedemment le code etait
inclus a chaque invocation de NeedBits ou GetBits...

Vu l'etat de la synchro je n'ai pas pu mesurer d'impact precis sur les fps
mais je ne m'attends pas a ce qu'il soit mesurable de toute facon : on troque
un apel de fonction contre un meilleur comportement du cache code...

Premier checkin de ma part, mais il devrait en venir d'autres.

------------------------------------------------------------------------
r260 | polux | 2000-02-17 23:17:35 +0100 (Thu, 17 Feb 2000) | 8 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

La plupart des causes de segfault de la video ont ?\239?\191?\189t?\239?\191?\189 ?\239?\191?\189limin?\239?\191?\189es, les messages
d'erreur qui sont affich?\239?\191?\189s sur stderr vous donnerons une bonne id?\239?\191?\189e du nombres
d'occasions de planter qui se pr?\239?\191?\189sentent au client.

J'ai aussi remis le flag DEBUG ?\239?\191?\189 1 et commenter omit-frame-pointer pour que
tout le monde puisse avoir la chance de participer ?\239?\191?\189 la chasse aux segfaults
avec son gdb. Les bugs report sont le bienvenu (surtout si c pour l'audio ;).

------------------------------------------------------------------------
r261 | walken | 2000-02-18 01:26:23 +0100 (Fri, 18 Feb 2000) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/decoder_fifo.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_parser/video_parser.c

Modification du decoder_fifo : le GetByte devrait etre un chouilla plus rapide,
ce qui devrait au minimum compenser la perte due a ma derniere modification.

------------------------------------------------------------------------
r262 | sam | 2000-02-19 01:11:26 +0100 (Sat, 19 Feb 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/input_netlist.h

 deux changements cosm?\239?\191?\189tiques de rien du tout et suppression d'un warning

------------------------------------------------------------------------
r263 | walken | 2000-02-19 01:39:03 +0100 (Sat, 19 Feb 2000) | 7 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/include/ac3_bit_allocate.h
   D /trunk/include/ac3_downmix.h
   D /trunk/include/ac3_exponent.h
   D /trunk/include/ac3_imdct.h
   D /trunk/include/ac3_mantissa.h
   D /trunk/include/ac3_parse.h
   D /trunk/include/ac3_rematrix.h
   D /trunk/include/audio_constants.h
   D /trunk/include/audio_math.h
   D /trunk/include/audio_sys.h
   D /trunk/include/control.h
   D /trunk/include/generic_decoder.h
   D /trunk/include/input_ctrl.h
   D /trunk/include/input_file.h
   D /trunk/include/input_network.h
   D /trunk/include/input_pcr.h
   D /trunk/include/input_psi.h
   D /trunk/include/intf_cmd.h
   D /trunk/include/intf_console.h
   D /trunk/include/intf_ctrl.h
   D /trunk/include/intf_sys.h
   D /trunk/include/video_sys.h
   D /trunk/include/video_text.h
   D /trunk/include/video_x11.h
   D /trunk/include/video_yuv.h
   D /trunk/include/vlc.h
   A /trunk/src/ac3_decoder/ac3_bit_allocate.h
   A /trunk/src/ac3_decoder/ac3_downmix.h
   A /trunk/src/ac3_decoder/ac3_exponent.h
   A /trunk/src/ac3_decoder/ac3_imdct.h
   A /trunk/src/ac3_decoder/ac3_mantissa.h
   A /trunk/src/ac3_decoder/ac3_parse.h
   A /trunk/src/ac3_decoder/ac3_rematrix.h
   A /trunk/src/audio_decoder/audio_constants.h
   A /trunk/src/audio_decoder/audio_math.h
   A /trunk/src/audio_output/audio_sys.h
   A /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   A /trunk/src/input/input_ctrl.h
   A /trunk/src/input/input_file.h
   A /trunk/src/input/input_network.h
   A /trunk/src/input/input_pcr.h
   M /trunk/src/input/input_psi.c
   A /trunk/src/input/input_psi.h
   D /trunk/src/interface/control.c
   A /trunk/src/interface/intf_cmd.h
   A /trunk/src/interface/intf_console.h
   M /trunk/src/interface/intf_ctrl.c
   A /trunk/src/interface/intf_ctrl.h
   A /trunk/src/interface/intf_sys.h
   A /trunk/src/video_output/video_sys.h
   A /trunk/src/video_output/video_text.h
   A /trunk/src/video_output/video_x11.h
   A /trunk/src/video_output/video_yuv.h

Yop,

Bon ben voila, j'ai commence a bouger les .h comme je voulais le faire...

C'est encore un peu le bordel et j'en suis desole. Mais je compte bien
deplacer des trucs jusqu'a ce que ca soit a nouveau bien range :)

------------------------------------------------------------------------
r264 | reno | 2000-02-21 00:24:38 +0100 (Mon, 21 Feb 2000) | 7 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/audio_output/audio_output.c



Ajoute du support son U8_Stereo

--
Reno

------------------------------------------------------------------------
r265 | walken | 2000-02-21 03:19:54 +0100 (Mon, 21 Feb 2000) | 7 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/config.h
   M /trunk/include/vpar_synchro.h


Une partie de patch qui ne devrait pas etre trop controversee : j'ai juste
change les #define MACHIN_DELAY pour qu'ils soient definis en tant que
multiples de CLOCK_FREQ

:>

------------------------------------------------------------------------
r266 | sam | 2000-02-21 05:21:52 +0100 (Mon, 21 Feb 2000) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/audio_output/audio_sys.h
   M /trunk/src/interface/main.c

 . ajout de l'audio output pour Esound
 . pas encore tr?\239?\191?\189s au point ?\239?\191?\189 cause d'un bug dans esd_get_latency() mais
 j'en ai besoin pour tester le chargement dynamique de plugins.

------------------------------------------------------------------------
r267 | sam | 2000-02-21 10:15:04 +0100 (Mon, 21 Feb 2000) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/config.h
   M /trunk/include/interface.h
   M /trunk/include/video_output.h
   M /trunk/src/audio_output/audio_output.c
   D /trunk/src/audio_output/audio_sys.h
   M /trunk/src/interface/interface.c
   D /trunk/src/interface/intf_sys.h
   M /trunk/src/video_output/video_output.c
   D /trunk/src/video_output/video_sys.h

 chargement dynamique de plugins audio/video/interface

 utilisation: c'est tout con, ?\239?\191?\189a marche comme avant. pour le moment
  il n'y a pas de v?\239?\191?\189rification des symboles mais ?\239?\191?\189a viendra.

 seule restriction, il faut ?\239?\191?\189tre dans le r?\239?\191?\189pertoire vlc quand on lance
  le client, parce que le chemin des plugins est relatif, mais ?\239?\191?\189a aussi
  ?\239?\191?\189a va changer.

 le Makefile devient pas tr?\239?\191?\189s beau, il faudra songer ?\239?\191?\189 passer ?\239?\191?\189 automake

------------------------------------------------------------------------
r268 | sam | 2000-02-21 10:15:49 +0100 (Mon, 21 Feb 2000) | 2 lines
Changed paths:
   A /trunk/src/audio_output/audio_sys.h
   A /trunk/src/interface/intf_sys.h
   A /trunk/src/video_output/video_sys.h

 3 vilains fichiers avaient disparu

------------------------------------------------------------------------
r269 | walken | 2000-02-22 15:09:51 +0100 (Tue, 22 Feb 2000) | 5 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c

Modification mineure MotionComponent : changement d'une boucle imbriquee
sur i_y et i_y1 en une boucle simple sur i_y... Le changement en vitesse comme
en taille est chouillatique mais neanmoins positif. Ca n'a pas d'effet sur
l'unrolling de boucle car celui-ci est effectue sur une boucle plus interne...

------------------------------------------------------------------------
r270 | walken | 2000-02-22 23:54:22 +0100 (Tue, 22 Feb 2000) | 9 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/ac3_decoder.h
   A /trunk/include/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_bit_allocate.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_downmix.h
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_exponent.h
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_imdct.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_mantissa.h
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_parse.h
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/ac3_decoder/ac3_rematrix.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c


travail sur l'ac3_decoder : debut de separation de ce qui est specifique a
videolan (ac3_decoder_thread) et de ce qui ne l'est pas. Ce n'est pas encore
ideal, la partie "videolan" fait des inits a l'interieur de la partie
"ac3"... il faudra que je fasse une belle interface pour ca.

Le probleme des includes n'est pas non plus regle, mais c'est a cause des
bit_streams :) patience.

------------------------------------------------------------------------
r271 | walken | 2000-02-22 23:55:07 +0100 (Tue, 22 Feb 2000) | 3 lines
Changed paths:
   A /trunk/src/ac3_decoder/ac3_decoder_thread.c


oops, j'ai oublie un fichier

------------------------------------------------------------------------
r272 | sam | 2000-02-23 04:04:50 +0100 (Wed, 23 Feb 2000) | 21 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/ac3_decoder.h
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/input.h
   M /trunk/include/input_vlan.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/include/vlc_thread.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/audio_constants.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   D /trunk/src/video_output/video_x11.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 Le retour du demoronifier qui n'est pas content.

   . 11 moronic long lines destroyed
   . 1282 trailing spaces eradicated
   . 4 ugly macros fixed
   . 5 innocent a_bit_long lines shortened

   . 5987 tabulations transform?\239?\191?\189es en espaces
   . 153 '??' transform?\239?\191?\189s en 'XXX??' ou 'FIXME??'
    (ptyx, j'esp?\239?\191?\189re que ce compromis te convient)

   . commentaires en // corrig?\239?\191?\189s en /* */
    (je parle bien des commentaires, pas des morceaux de code
     mis en // comme les printf de debug par exemple)

Au passage :

   . version du vlc modifi?\239?\191?\189e en 0.1.99 (la release sera la 0.2.0)
   . suppression de video_x11.h
   . correction d'un warning dans intf_ctrl.c

------------------------------------------------------------------------
r273 | sam | 2000-02-23 04:09:33 +0100 (Wed, 23 Feb 2000) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/interface/intf_ctrl.c

  rha ! deux fichiers oubli?\239?\191?\189s.

------------------------------------------------------------------------
r274 | walken | 2000-02-25 03:45:09 +0100 (Fri, 25 Feb 2000) | 22 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/video_decoder/vdec_motion.c
   A /trunk/src/video_decoder/vdec_motion_inner.c


Decoupage de vdec_motion en deux parties :

vdec_motion_inner contient le code plus ou moins bourin qui calcule les pixels
(je pense que c'est la que la majorite du temps est ecoulee, et qu'il y aurait
eventuellement un avantage a rechercher des optimisations particulieres pour
ce fichier, genre debouclage de boucles ou quelque chose du genre)

Le code dans vdec_motion contient quand a lui des tests sur le type exact
de prediction a effectuer, des calculs de pointeurs en fonction des motion
vectors, et les appels a vdec_motion_inner.

La fonction MotionComponent de vdec_motion a ete modifiee pour appeler
directement la bonne fonction de vdec_motion_inner en fonction des parametres.
La encore en raison de la gestion d'inlines faite a la compilation, pour chaque
appel les parametres i_width, i_height et b_average sont deja connus et
donc l'appel de MotionComponent devrait s'etendre a un simple switch (i_select)
et un appel de la fonction correspondante dans vdec_motion_inner.

Le code dans vdec_motion presente toujours une apparence contestable mais
je n'ai pas modifie son fonctionnement (seulement la fonction MotionComponent).

------------------------------------------------------------------------
r275 | walken | 2000-02-28 03:35:41 +0100 (Mon, 28 Feb 2000) | 23 lines
Changed paths:
   M /trunk/include/ac3_decoder.h
   M /trunk/include/ac3_decoder_thread.h
   M /trunk/include/common.h
   A /trunk/include/int_types.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   A /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_exponent.h
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_parse.h
   M /trunk/src/ac3_decoder/ac3_rematrix.c


Separation du decodeur ac3 et de la partie specifique a videolan

Les interfaces du deco ac3 ne sont pas encore bien propres et documentees
mais ca viendra dans un second temps. Les fichiers ac3 ne dependent plus
d'includes videolan. C'est deja une bonne premiere etape.

Au niveau du bitstream compresse, l'interface avec le decodeur ac3 ne se fait
plus par le fichier decoder_fifo.h. En effet, le decodeur ac3 a besoin de
connaitre la structure exact d'un bitstream_t, donc cette interface n'etait
pas la plus propre. La nouvelle interface se compose d'une fonction
ac3_byte_stream_next (ac3_byte_stream_t * p_byte_stream) que le decodeur
ac3 appelle lorsqu'il a besoin d'un nouveau buffer de donnees compressees.

ac3_byte_stream_t est une structure comprenant les champs
u8 * p_byte (pointeur sur le debut du buffer),
u8 * p_end (pointeur sur la fin du buffer),
void * info (utilisation libre pour implementer ac3_byte_stream_next)

L'implementation actuelle de ac3_byte_stream_next () dans ac3_decoder_thread.c
fait un peu double emploi avec misc/decoder_fifo.c mais je reglerai tout ca
plus tard.

------------------------------------------------------------------------
r276 | walken | 2000-03-02 00:51:08 +0100 (Thu, 02 Mar 2000) | 8 lines
Changed paths:
   M /trunk/include/ac3_decoder.h
   M /trunk/include/ac3_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   D /trunk/src/ac3_decoder/ac3_bit_allocate.h
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   D /trunk/src/ac3_decoder/ac3_downmix.h
   M /trunk/src/ac3_decoder/ac3_exponent.c
   D /trunk/src/ac3_decoder/ac3_exponent.h
   M /trunk/src/ac3_decoder/ac3_imdct.c
   D /trunk/src/ac3_decoder/ac3_imdct.h
   A /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   D /trunk/src/ac3_decoder/ac3_mantissa.h
   M /trunk/src/ac3_decoder/ac3_parse.c
   D /trunk/src/ac3_decoder/ac3_parse.h
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   D /trunk/src/ac3_decoder/ac3_rematrix.h
   M /trunk/src/input/input.c


Created a small&clean public interface for the ac3 decoder (see ac3_decoder.h)

Modified ac3_decoder_thread to use this interface

Find ac3 sync words not by scanning the ac3 stream but by using the magic
bytes at the start of the ac3 pes packets

------------------------------------------------------------------------
r277 | sam | 2000-03-03 01:59:56 +0100 (Fri, 03 Mar 2000) | 9 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/common.h
   M /trunk/include/vlc_thread.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/misc/netutils.c

 . portage des vlc_threads aux cthreads de Mach pour GNU/Hurd
 . rajout de #ifdef SYS_LINUX autour du code concernant les interfaces
 . suppression de quelques #include <sys/soundcard.h> qui trainaient encore
 . option PPRO dans le Makefile (si vous avez des erreurs
    'Illegal instruction', ?\239?\191?\189a venait probablement de l?\239?\191?\189)
 . rajout de quelques commentaires pour expliquer en quoi certains #include
    sont n?\239?\191?\189cessaires, aux endroits o?\239?\191?\189 je ne comprenais pas, et suppression
    de #include qui semblaient inutiles.

------------------------------------------------------------------------
r278 | walken | 2000-03-03 02:26:17 +0100 (Fri, 03 Mar 2000) | 4 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_parse.c

modification du deco ac3 pour le rendre plus robuste.

normalement le client ne devrait plus segfaulter... enfin, normalement :)

------------------------------------------------------------------------
r279 | sam | 2000-03-03 08:03:34 +0100 (Fri, 03 Mar 2000) | 17 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/ac3_decoder.h
   M /trunk/include/ac3_decoder_thread.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/debug.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/input.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_vlan.h
   M /trunk/include/int_types.h
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/include/main.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/rsc_files.h
   M /trunk/include/spu_decoder.h
   A /trunk/include/threads.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_graphics.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   D /trunk/include/vlc_thread.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/audio_constants.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_decoder/audio_math.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/audio_output/audio_sys.h
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_ctrl.h
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_file.h
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_network.h
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_pcr.h
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_psi.h
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_cmd.h
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_console.h
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_ctrl.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/intf_sys.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_idctmmx.S
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_sys.h
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_text.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h
   M /trunk/src/video_output/video_yuv_mmx.S
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 Encore un commit venu tout droit des abysses de l'enfer, d?\239?\191?\189sol?\239?\191?\189 pour
le flood, c'est la derni?\239?\191?\189re fois.

  . apr?\239?\191?\189s le demoronifier, le GPLifier: il y a les ent?\239?\191?\189tes de la GPL dans
   chaque fichier ; votre mission, si vous l'acceptez, est de mettre votre
   nom dans chaque fichier qui est votre oeuvre ou auquel vous avez
   particip?\239?\191?\189, pour qu'on sache qui a fait quoi. Pas de fausse modestie,
   c'est plus pour des raisons pratiques que pour la gloire.

  . rajout de -lthreads pour que ?\239?\191?\189a linke sous Hurd

  . rajout de quelques #include pour que ?\239?\191?\189a compile sous FreeBSD
   (d'ailleurs ?\239?\191?\189a compile mais ?\239?\191?\189a ne linke pas, je ne sais pas comment
   linker avec la libpthread sur la machine de Dae)

  . quelques #ifdef SYS_BSD ?\239?\191?\189?\239?\191?\189 et l?\239?\191?\189.

------------------------------------------------------------------------
r280 | sam | 2000-03-04 12:52:48 +0100 (Sat, 04 Mar 2000) | 23 lines
Changed paths:
   A /trunk/AUTHORS
   A /trunk/COPYING
   M /trunk/Makefile
   M /trunk/Makefile.dep
   A /trunk/README
   M /trunk/include/audio_output.h
   M /trunk/include/config.h
   M /trunk/include/input_netlist.h
   A /trunk/include/plugins.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   A /trunk/src/misc/plugins.c
   M /trunk/src/video_output/video_output.c

 - ?\239?\191?\189a compile sous FreeBSD (mais ?\239?\191?\189a ne tourne pas)
 - les d?\239?\191?\189pendances sont cach?\239?\191?\189es dans .deps/ au lieu de deps/
 - suppression d'encore quelques #include inutiles.
 - la gestion des plugins est maintenant encapsul?\239?\191?\189e dans misc/plugin.c
  un peu comme les threads, pour faciliter le portage.
 - l?\239?\191?\189ger remaniement de l'output pour --help et --version
 - les p_ts_packet sont cast?\239?\191?\189s en (void *) pour ?\239?\191?\189viter un warning sous
  certaines architectures.
 - ajout de la GPL dans un fichier COPYING
 - fichier README avec rien dedans pour le moment, ?\239?\191?\189 part la liste de
  toutes les personnes ayant particip?\239?\191?\189 au projet. J'en ai *forc?\239?\191?\189ment*
  oubli?\239?\191?\189 certains, alors si vous avez un nom, rajoutez-le. de m?\239?\191?\189me, s'il
  y a un gros con que j'ai mis par erreur dans la liste et qui n'a jamais
  rien fait pour le projet, n'h?\239?\191?\189sitez pas ?\239?\191?\189 le supprimer sournoisement.
 - fichier AUTHORS avec la liste des gens ayant boss?\239?\191?\189 sur le client. j'ai
  mis toutes les personnes ayant fait au moins un commit, ainsi que Henri
  parce que je sais qu'il bosse sur l'audio, et HPReg, Steve et Oli parce
  qu'ils ont boss?\239?\191?\189 dessus aussi. Par contre ici aussi j'ai fort probable-
  ment oubli?\239?\191?\189 des gens. Corrigez !
 - r?\239?\191?\189pertoire debian/ qui servira ?\239?\191?\189 cr?\239?\191?\189er des packages
 - rajout d'une entr?\239?\191?\189e pour faire `make install' (pas encore parfait)
 - nom de code de la future release 0.2 : `Onatopp' :)

------------------------------------------------------------------------
r281 | polux | 2000-03-04 23:33:01 +0100 (Sat, 04 Mar 2000) | 32 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/interface.h
   M /trunk/include/plugins.h
   M /trunk/include/threads.h
   M /trunk/include/video_output.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

D?\239?\191?\189but du portage BeOS. Beaucoup de fuchiers ont ?\239?\191?\189t?\239?\191?\189 modifi?\239?\191?\189 car il a fallu
r?\239?\191?\189organiser les headers pour que ce soient les headers les plus proches
du syst?\239?\191?\189me qui se retrouvent en premier (threads.h devrait toujours ?\239?\191?\189tre
le premier des headers non syst?\239?\191?\189mes). J'ai du aussi rajouter un type
plugin_id_t et par la m?\239?\191?\189me occasion inclure plugins.h dans la plupart
des fichiers. Voici en vrac les modifs les plus importantes que j'ai op?\239?\191?\189r?\239?\191?\189:

o L?\239?\191?\189g?\239?\191?\189re r?\239?\191?\189organisation pour les raisons ?\239?\191?\189voqu?\239?\191?\189es ci-dessus (certaines
  macros comme MIN et MAX peuvent ?\239?\191?\189tre d?\239?\191?\189j?\239?\191?\189 d?\239?\191?\189finies par le syst?\239?\191?\189me et
  interf?\239?\191?\189rer avec celles d?\239?\191?\189finies dans common.h ou autre)

o Dans intf_msg j'ai du remplacer les vasprintf par des vsprintf
  dans le cas o?\239?\191?\189 ARCH=BEOS.

o la commande hostname du Makefile n'?\239?\191?\189tait pas compatible et je
  l'ai donc enlev?\239?\191?\189, en avons-nous besoin ? Auquel cas il suffit de
  rajouter un ifeq.

o J'ai aussi remplac?\239?\191?\189  les bzero et bcopy par memset et memmove.

o plugin.c, mtime.c et threads.h et quelques fichiers de l'input
  ont ?\239?\191?\189t?\239?\191?\189 adapt?\239?\191?\189s ?\239?\191?\189 BeOS ?\239?\191?\189 grand coup de #ifdef SYS_*.

TODO:

o Ecrire intf_beos.cpp, vout_beos.cpp et aout_beos.cpp

Je suis sous linux et je viens de tester le client qui marche tr?\239?\191?\189s
bien, mais il est n?\239?\191?\189anmoins possible que j'ai introduit quelques
probl?\239?\191?\189mes de compilations pour certains modules, si c'est le cas
pr?\239?\191?\189venez moi.

------------------------------------------------------------------------
r282 | sam | 2000-03-08 11:22:45 +0100 (Wed, 08 Mar 2000) | 2 lines
Changed paths:
   A /trunk/INSTALL
   A /trunk/NEWS
   A /trunk/configure.in
   A /trunk/include/defs.h.in
   A /trunk/install-sh

 Premiers fichiers n?\239?\191?\189cessaires ?\239?\191?\189 autoconf

------------------------------------------------------------------------
r283 | sam | 2000-03-08 11:33:28 +0100 (Wed, 08 Mar 2000) | 2 lines
Changed paths:
   D /trunk/Makefile
   A /trunk/Makefile.in
   A /trunk/config.guess
   A /trunk/config.sub
   A /trunk/configure
   D /trunk/src/audio_output/audio_sys.h
   D /trunk/src/interface/intf_sys.h
   D /trunk/src/video_output/video_sys.h

 ./configure puis make, et ?\239?\191?\189a devrait compiler.

------------------------------------------------------------------------
r284 | sam | 2000-03-08 11:44:25 +0100 (Wed, 08 Mar 2000) | 2 lines
Changed paths:
   A /trunk/Makefile

 . remise du vieux Makefile en attendant celui g?\239?\191?\189n?\239?\191?\189r?\239?\191?\189 par ./configure

------------------------------------------------------------------------
r285 | sam | 2000-03-09 11:08:50 +0100 (Thu, 09 Mar 2000) | 10 lines
Changed paths:
   D /trunk/Makefile
   M /trunk/Makefile.in
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 . normalement on devrait se prendre 1 seul mail par commit gr?\239?\191?\189ce aux
  top scripts de tibob.
 . suppression de Makefile
 . rajout de include/defs.h.in qui g?\239?\191?\189n?\239?\191?\189re include/defs.h

 pour g?\239?\191?\189n?\239?\191?\189rer le Makefile et defs.h il faut lancer ./configure

 pour ceux qui voudraient toucher ?\239?\191?\189 configure.in, "include/defs.h.in" est
g?\239?\191?\189n?\239?\191?\189r?\239?\191?\189 par la commande autoheader, et "configure" est g?\239?\191?\189n?\239?\191?\189r?\239?\191?\189 par autoconf

------------------------------------------------------------------------
r286 | sam | 2000-03-09 13:30:15 +0100 (Thu, 09 Mar 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/threads.h

 . la version et le codename sont d?\239?\191?\189finis uniquement dans configure.in
 . plus de #ifdef SYS_* dans threads.h, on utilise defs.h
 . re-test des scripts de tibob :)

------------------------------------------------------------------------
r287 | sam | 2000-03-10 01:47:17 +0100 (Fri, 10 Mar 2000) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   D /trunk/include/config.h
   A /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/include/threads.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/plugins.c

 . suppression de quelques #define SYS_* (mais pas encore tous)
 . include/config.h devient include/config.h.in et config.h sera
  g?\239?\191?\189n?\239?\191?\189r?\239?\191?\189 par ./configure. Le but est d'?\239?\191?\189viter les options -DFOO de gcc
 . suppression d'un 'Resources' qui trainait encore dans config.h

------------------------------------------------------------------------
r288 | sam | 2000-03-10 01:57:50 +0100 (Fri, 10 Mar 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h.in

 ben oui, encore un poliotage. mais ?\239?\191?\189a me permet de tester les scripts
 de commit en cachette :)

------------------------------------------------------------------------
r289 | sam | 2000-03-10 02:24:53 +0100 (Fri, 10 Mar 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in

 . r?\239?\191?\189gl?\239?\191?\189 un petit oubli dans le Makefile
 . dernier commit pour tester les scripts ;
      ?\239?\191?\189a devrait bien marcher ?\239?\191?\189 pr?\239?\191?\189sent

------------------------------------------------------------------------
r290 | polux | 2000-03-11 01:05:16 +0100 (Sat, 11 Mar 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/include/threads.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/plugins.c

Quelques ajustements pour beos. Les plugins ne compilent toujours pas.

------------------------------------------------------------------------
r291 | walken | 2000-03-12 20:05:58 +0100 (Sun, 12 Mar 2000) | 7 lines
Changed paths:
   A /trunk/Makefile
   M /trunk/Makefile.in
   M /trunk/include/audio_decoder.h
   A /trunk/include/audio_decoder_thread.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   A /trunk/src/audio_decoder/audio_bit_stream.h
   M /trunk/src/audio_decoder/audio_decoder.c
   A /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c


Proprification du decodeur mpeg audio, comme j'avais fait pour l'ac3 :
separation de ce qui est specifique videolan et de ce qui est generique.

Je compte encore bidouiller pas mal la partie generique, mais deja la ca
marche donc...

------------------------------------------------------------------------
r292 | sam | 2000-03-12 22:04:28 +0100 (Sun, 12 Mar 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/config.h.in
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c

 . suppression d'un warning pour les machines n'ayant pas usleep()
 . correction d'une boulette que j'ai faite dans netutils.c
 . d?\239?\191?\189but de intf_gnome. vout_gnome est une copie de vout_x11 pour l'instant

------------------------------------------------------------------------
r293 | walken | 2000-03-12 23:45:16 +0100 (Sun, 12 Mar 2000) | 14 lines
Changed paths:
   M /trunk/Makefile.in


J'ai retire gnome du build par defaut afin que ca ne cree pas de probleme
chez ceux qui n'ont pas les includes appropries...

Je sais que cette solution n'est pas ideale mais peut on se mettre d'accord
pour ne construire par defaut que les outputs X et dummy pour la video, et
dsp et dummy pour l'audio ?

(a la rigueur si on dit que dans le cvs on ne construit que les dummy je suis
d'accord aussi)

ou alors ca sert peut etre a rien de se mettre d'accord et ca sera regle par
le ./configure bientot ?

------------------------------------------------------------------------
r294 | stef | 2000-03-13 04:20:46 +0100 (Mon, 13 Mar 2000) | 6 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c


* Proprification de decodeMPEG2 (+optim)
* Ecriture de decodeMPEG1

Le Mpeg1 n'est pas encore test?\239?\191?\189.

------------------------------------------------------------------------
r295 | sam | 2000-03-13 05:08:10 +0100 (Mon, 13 Mar 2000) | 11 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/debian
   A /trunk/debian/changelog
   A /trunk/debian/control
   A /trunk/debian/copyright
   A /trunk/debian/dirs
   A /trunk/debian/docs
   A /trunk/debian/files
   A /trunk/debian/rules
   A /trunk/debian/substvars
   A /trunk/debian/vlc.1
   A /trunk/debian/vlc.menu
   M /trunk/include/config.h.in
   D /trunk/lib
   A /trunk/share
   A /trunk/share/default8x16.psf
   A /trunk/share/default8x9.psf
   A /trunk/share/vlc.png
   M /trunk/src/video_output/video_output.c

 . ajout de quoi faire des packages debian :
   - fichiers de contr?\239?\191?\189le pour dpkg-buildpackage
   - une ic?\239?\191?\189ne de merde - que les artistes la remplacent
   - page de man
 . les donn?\239?\191?\189es qui ne sont pas platform-dependant sont maintenant
  dans le r?\239?\191?\189pertoire share ( et plus lib )
 . le client va chercher les polices dans le r?\239?\191?\189pertoire courant
  et dans /usr/share/videolan/vlc/
 . le message pr?\239?\191?\189c?\239?\191?\189dent ?\239?\191?\189tait l'ajout du r?\239?\191?\189pertoire share/ mais
  les scripts CVS semblent avoir d?\239?\191?\189conn?\239?\191?\189

------------------------------------------------------------------------
r296 | sam | 2000-03-13 22:32:31 +0100 (Mon, 13 Mar 2000) | 9 lines
Changed paths:
   A /trunk/debian/postinst.debhelper
   A /trunk/debian/postrm.debhelper
   A /trunk/debian/prerm.debhelper
   M /trunk/debian/vlc.1
   M /trunk/include/input.h
   M /trunk/include/intf_msg.h
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c

 . gestion de la souris sous X (essentiellement le bouton du milieu
  qui cache le pointeur, tr?\239?\191?\189s pratique quand on regarde un DVD)
 . rajout de 3 fichiers d'installation pour le package Debian
 . correction de "usefull" et "successfull" ?\239?\191?\189 une dizaine d'endroits dans
  le code parce que ?\239?\191?\189a commen?\239?\191?\189ait ?\239?\191?\189 m'horripiler
 . erreur de syntaxe dans la page de man.
 . un peu plus de choses dans l'interface gnome, mais rien ne marche
  pour le moment.

------------------------------------------------------------------------
r297 | stef | 2000-03-13 22:55:07 +0100 (Mon, 13 Mar 2000) | 5 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c


* Correction du Bug introduit lors de mon commit.

Chez moi, ?\239?\191?\189a marche avec Taxi, Matrix et la ba de twine.

------------------------------------------------------------------------
r298 | walken | 2000-03-15 03:10:47 +0100 (Wed, 15 Mar 2000) | 8 lines
Changed paths:
   D /trunk/src/audio_decoder/audio_constants.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_math.c
   A /trunk/src/audio_decoder/audio_test.c

reecriture du deco mpeg audio

* support du layer 1 mono et stereo
* support du layer 2 stereo (j'ai pas encore fait le mono)
* support des low bitrates proposes par le mpeg2 (non teste)
* passage des tests de compliance mpeg :)
* moins de macros qu'avant, mais je dois encore propriser un peu le code.

------------------------------------------------------------------------
r299 | walken | 2000-03-19 07:29:52 +0100 (Sun, 19 Mar 2000) | 7 lines
Changed paths:
   A /trunk/doc/transforms.py

Un petit tutorial sur les DCT et DFT... enfin non pas sur leur representation
"physique" mais plutot sur les differentes methodes de calcul utilisables.

Ca n'est pas franchement indispensable mais disons que j'ai eu du mal a trouver
de la doc sur le sujet donc je me dis que ca peut pas faire de mal de
rassembler ce qu'on a...

------------------------------------------------------------------------
r300 | sam | 2000-03-20 05:29:00 +0100 (Mon, 20 Mar 2000) | 14 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/input_netlist.h
   M /trunk/src/input/input.c

 Bon finalement puisque tout le monde dort, je l'ai fait :)

  . rajout de i_pes_real_size dans la structure p_pes_packet, qui vaut 0
   par d?\239?\191?\189faut, et est initialis?\239?\191?\189 ?\239?\191?\189 la taille du payload PES annonc?\239?\191?\189e dans
   le header si celle-ci est pr?\239?\191?\189sente.
  . ?\239?\191?\189 chaque nouveau paquet TS, si i_pes_real_size == i_pes_size on envoie
   directement le PES au d?\239?\191?\189codeur sans attendre le d?\239?\191?\189but du PES suivant.
  . cr?\239?\191?\189ation de input_ParsePES pour y mettre le code dupliqu?\239?\191?\189 de
   input_DemuxPES.

 Ca fait 1 test de plus par paquet TS, donc n?\239?\191?\189gligeable. Par contre si
des gens ayant boss?\239?\191?\189 sur l'input ont le temps de v?\239?\191?\189rifier que je n'ai pas
fait de connerie, ?\239?\191?\189a peut ?\239?\191?\189tre int?\239?\191?\189ressant :)

------------------------------------------------------------------------
r301 | sam | 2000-03-20 08:50:55 +0100 (Mon, 20 Mar 2000) | 5 lines
Changed paths:
   M /trunk/include/input.h
   M /trunk/include/spu_decoder.h
   M /trunk/include/video.h
   M /trunk/src/input/input.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c

 . suppression d'une variable inutile que j'avais laiss?\239?\191?\189e trainer
  au pr?\239?\191?\189c?\239?\191?\189dent commit.
 . d?\239?\191?\189but du d?\239?\191?\189codeur de sous-titres. Pour le moment il ne fait que
  parser le flux comme un cochon, c'est tout.

------------------------------------------------------------------------
r302 | sam | 2000-03-21 23:36:01 +0100 (Tue, 21 Mar 2000) | 18 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/config.h.in
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/src/input/input.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   A /trunk/src/video_output/video_spu.c
   A /trunk/src/video_output/video_spu.h

NEWS:
 . encore un peu de parsage de sous-titres
 . affichage des sous-titres.

BUGS:
 . ?\239?\191?\189a segfaulte toujours au moment o?\239?\191?\189 on quitte, mais c'est le probl?\239?\191?\189me
  habituel, ?\239?\191?\189a sera r?\239?\191?\189gl?\239?\191?\189.
 . pour le moment ils sont en noir et blanc, parce qu'il faut aller
  chercher cette putain de palette dans les .IFO du dvd et que pour
  l'instant j'ai la flemme
 . les sous-titres ne sont pas affich?\239?\191?\189s comme il faut si la largeur
  de l'?\239?\191?\189cran n'est pas 720.
 . dimensions par d?\239?\191?\189faut mises ?\239?\191?\189 720x576 (format DVD) au lieu de 640x480
  pour la raison ?\239?\191?\189voqu?\239?\191?\189e ci-dessus. mais ?\239?\191?\189a sera r?\239?\191?\189gl?\239?\191?\189 bient?\239?\191?\189t.
 . pas de gestion de transparence, coordonn?\239?\191?\189es, fade in/fade out
 . pas de gestion de date : le sous-titre est affich?\239?\191?\189 d?\239?\191?\189s qu'il est re?\239?\191?\189u
  et n'est pas effac?\239?\191?\189 tant qu'on en a pas re?\239?\191?\189u un nouveau.

------------------------------------------------------------------------
r303 | sam | 2000-03-22 01:57:10 +0100 (Wed, 22 Mar 2000) | 7 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h

 . les sous-titres sont centr?\239?\191?\189s
 . la palette des sous-titres par d?\239?\191?\189faut est moins affreuse.

Bugs que j'avais oubli?\239?\191?\189s:
 . ne marchent qu'en 16 bits (devrait se fixer vite)
 . parfois quelques glitches graphiques que je ne comprends pas.

------------------------------------------------------------------------
r304 | sam | 2000-03-23 07:27:35 +0100 (Thu, 23 Mar 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/video.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c

 . les sous-titres sont affich?\239?\191?\189s et effac?\239?\191?\189s ?\239?\191?\189 l'heure
 . une petite optimisation de l'affichage
 . attention, config.h.in a chang?\239?\191?\189, n'oubliez pas de refaire ./configure

------------------------------------------------------------------------
r305 | walken | 2000-03-28 02:22:13 +0200 (Tue, 28 Mar 2000) | 11 lines
Changed paths:
   M /trunk/doc/transforms.py


Version 2 de mon tutorial sur les DCT et DFT. Les choses sont un peu plus dans
l'ordre maintenant, et il y a pas mal d'explications qui ont ete rajoutees pour
expliquer comment implementer efficacement l'algo AAN.

Si un jour j'ai le courage, j'ecris une routine DCT32 qui torchera celle de
regis, na !

Pour etre parfait il faudrait rajouter une section sur les DCT en 2 dimensions,
mais bon...

------------------------------------------------------------------------
r306 | polux | 2000-03-30 14:54:29 +0200 (Thu, 30 Mar 2000) | 18 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_output/audio_output.c

- Correction du bug de la synchro.
  Le probl?\239?\191?\189me provenait d'un d?\239?\191?\189calage d'une seconde qui avait ?\239?\191?\189t?\239?\191?\189 rajout?\239?\191?\189
  dans le calcul de la date dans audio_output.c :
  p_aout->date = -1000000 + mdate() + ( (((mtime_t)(l_bytes / 4)) * 1000000)
                                        / ((mtime_t)p_aout->l_rate) );
  C'est le -1000000 qui faisait retarder le son d'exactement une seconde.
  J'aimerais bien savoir pourquoi il a ?\239?\191?\189t?\239?\191?\189 rajout?\239?\191?\189 car peut-?\239?\191?\189tre y-a-t-il
  d'autres bugs similaires qui ne sont pas visibles pour l'instant.

- Nettoyage d'une partie du code de audio_decoder_thread.c
  Il est vraiment tr?\239?\191?\189s dommage que les conventions de codage ne soient pas
  respect?\239?\191?\189es, si il y en a ce n'est pas pour rien. De plus le m?\239?\191?\189lange
  d'espaces et de tabulations rend le code tr?\239?\191?\189s peu lisible. Je le
  rappelle, nous n'utilisons que des indentations de 4 espaces et toute
  tabulation est proscrite. Il serait bien de changer le reste du code
  pour qu'il respecte les conventions et reste ainsi facilement lisible
  par tout le monde.

------------------------------------------------------------------------
r307 | henri | 2000-04-05 22:43:33 +0200 (Wed, 05 Apr 2000) | 5 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c



Ajout du layer II mono (non test?\239?\191?\189) et d?\239?\191?\189but de mise en conformit?\239?\191?\189 avec
les r?\239?\191?\189gles de formattage du code

------------------------------------------------------------------------
r308 | sam | 2000-04-14 06:19:51 +0200 (Fri, 14 Apr 2000) | 34 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/audio_output.h
   M /trunk/include/config.h.in
   M /trunk/include/interface.h
   M /trunk/include/threads.h
   M /trunk/include/video.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h

 9 avril:
 - r?\239?\191?\189indentation de quelques bouts de code
 - les plugins vont ?\239?\191?\189tre cherch?\239?\191?\189s en priorit?\239?\191?\189 dans . puis ./plugins
  puis dans le r?\239?\191?\189pertoire habituel
 - d?\239?\191?\189but de communication entre le thread gnome et l'input
 - l'interface gnome ne segfaulte plus en sortant
 - le menu "Exit" fonctionne

10 avril:
 - fen?\239?\191?\189tre Gnome au lieu de fen?\239?\191?\189tre Gtk
  *** ATTENTION *** l'interface Gnome n'est vraiment qu'un d?\239?\191?\189but, soyez
   gentils de ne pas faire de bug report si un bouton ne fonctionne pas.
 - popup "About"

11 avril:
 - fen?\239?\191?\189tre playlist (rien dedans encore)
 - masquage du pointeur souris
 - popup menu dans la fen?\239?\191?\189tre vout
 - hide/show des fen?\239?\191?\189tres playlist
 - les boutons "Exit" fonctionnent quel que soit le menu

12 avril:
 - d?\239?\191?\189but du cassage des channels
 - d?\239?\191?\189but des menus g?\239?\191?\189n?\239?\191?\189r?\239?\191?\189s en runtime

13 avril:
 - ajout du target "snapshot" dans le makefile

14 avril:
 - d?\239?\191?\189codage de tous les sous-titres connus
 - spu_decoder.c ne segfaulte plus quand on quitte
 - rajout du flag b_active dans la structure audio_decoder
 - le bouton pause fonctionne

------------------------------------------------------------------------
r309 | polux | 2000-04-20 00:13:38 +0200 (Thu, 20 Apr 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.dep
   M /trunk/Makefile.in
   A /trunk/include/beos_specific.h
   A /trunk/include/beos_window.h
   M /trunk/include/common.h
   M /trunk/include/threads.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_file.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   A /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/plugins.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/vpar_blocks.c

Portage du client sous BeOS. Il manque encore l'audio mais ?\239?\191?\189a marche.
En cadeau bonux un nouvel input_file qui permet de lire les vob. Il
faur rajouter la ligne suivante dans vlc.init:
spawn-input method=10 filename=braindead

------------------------------------------------------------------------
r310 | sam | 2000-04-20 02:54:31 +0200 (Thu, 20 Apr 2000) | 6 lines
Changed paths:
   M /trunk/src/input/input_file.c

 . changement dans les headers pour que ?\239?\191?\189a compile sous Linux.

 Polux, j'ai vir?\239?\191?\189 <byteorder.h> pour le remplacer par <netinet/in.h> car
 c'?\239?\191?\189tait comme ?\239?\191?\189a dans tous les autres .c, tu peux v?\239?\191?\189rifier que ?\239?\191?\189a
 fonctionne toujours ?

------------------------------------------------------------------------
r311 | reno | 2000-05-17 16:21:15 +0200 (Wed, 17 May 2000) | 4 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c



Ajout des fonctions de r?\239?\191?\189glage du volume (touches : +, -, m)

------------------------------------------------------------------------
r312 | sam | 2000-05-17 16:38:24 +0200 (Wed, 17 May 2000) | 10 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/vlc.channels

 . corrections de fautes d'orthographe je ne sais plus trop o?\239?\191?\189

 . quelques bidouilles dans vout_mga mais de toute fa?\239?\191?\189on ce n'est pas
  pr?\239?\191?\189t de changer et on aura chang?\239?\191?\189 la structure bien avant

 . encore un meilleur support des sous-titres

 . exemple d'input fichier dans le vlc.channels, ?\239?\191?\189 adapter ?\239?\191?\189 votre
  convenance

------------------------------------------------------------------------
r313 | nitrox | 2000-05-24 23:48:18 +0200 (Wed, 24 May 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input.h
   A /trunk/include/lpcm_decoder.h
   A /trunk/include/lpcm_decoder_thread.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_psi.c
   A /trunk/src/lpcm_decoder
   A /trunk/src/lpcm_decoder/lpcm_decoder.c
   A /trunk/src/lpcm_decoder/lpcm_decoder_thread.c

Ajout des fichiers pour la gestion du lpcm.
Il reste ?\239?\191?\189 impl?\239?\191?\189menter le lpcm au niveau de l'input et ?\239?\191?\189crire le d?\239?\191?\189codage.

------------------------------------------------------------------------
r314 | sam | 2000-05-25 00:39:44 +0200 (Thu, 25 May 2000) | 3 lines
Changed paths:
   M /trunk/include/ac3_decoder.h
   M /trunk/include/ac3_decoder_thread.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_decoder_thread.h
   M /trunk/include/audio_output.h
   M /trunk/include/beos_specific.h
   M /trunk/include/beos_window.h
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/debug.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/input.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_vlan.h
   M /trunk/include/int_types.h
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/include/main.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/plugins.h
   M /trunk/include/rsc_files.h
   M /trunk/include/spu_decoder.h
   M /trunk/include/threads.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_graphics.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/ac3_decoder/ac3_bit_allocate.c
   M /trunk/src/ac3_decoder/ac3_bit_stream.h
   M /trunk/src/ac3_decoder/ac3_decoder.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_imdct.c
   M /trunk/src/ac3_decoder/ac3_internal.h
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/ac3_decoder/ac3_parse.c
   M /trunk/src/ac3_decoder/ac3_rematrix.c
   M /trunk/src/audio_decoder/audio_bit_stream.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_decoder/audio_math.h
   M /trunk/src/audio_decoder/audio_test.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_ctrl.h
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_file.h
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_network.h
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_pcr.h
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_psi.h
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_cmd.h
   M /trunk/src/interface/intf_console.c
   M /trunk/src/interface/intf_console.h
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_ctrl.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_idctmmx.S
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_text.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h
   M /trunk/src/video_output/video_yuv_mmx.S
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

 Bon. On ne rit pas, je m'?\239?\191?\189tais juste plant?\239?\191?\189 dans l'en-t?\239?\191?\189te des
licences. Et puis ?\239?\191?\189a peut arriver ?\239?\191?\189 tout le monde :)

------------------------------------------------------------------------
r315 | sam | 2000-05-26 03:55:07 +0200 (Fri, 26 May 2000) | 4 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c

 . support 8 bits pour X (avec private colormap)
 . affinement de la dur?\239?\191?\189e d'affichage des sous-titres
 . correction d'un bug dans les sous-titres

------------------------------------------------------------------------
r316 | sam | 2000-05-27 17:37:41 +0200 (Sat, 27 May 2000) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h

 . scaling des sous-titres (?\239?\191?\189 proprifier)
 . position correcte des sous-titres sur l'image
  ?\239?\191?\189a ne devrait plus segfaulter

------------------------------------------------------------------------
r317 | sam | 2000-05-28 16:22:06 +0200 (Sun, 28 May 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_yuv.c

 . correction d'un bug dans les sous-titres pour un scaling > 1
 . correction d'un bug dans l'affichage 8 bits pour un scaling < 1

------------------------------------------------------------------------
r318 | sam | 2000-05-28 20:28:42 +0200 (Sun, 28 May 2000) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_spu.h

 . suppression d'un bug cosm?\239?\191?\189tique dans l'affichage des plugins qui en
   plus faisait segfaulter, ce qui n'?\239?\191?\189tait malheureusement pas top

------------------------------------------------------------------------
r319 | sam | 2000-05-29 09:29:50 +0200 (Mon, 29 May 2000) | 8 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/files
   M /trunk/debian/substvars
   M /trunk/include/common.h
   M /trunk/src/input/input_psi.c

 . encore un peu plus loin dans le passage ?\239?\191?\189 autoconf
 . giclage de l'ancien d?\239?\191?\189codeur dans le Makefile

n'oubliez pas de relancer ./configure avec les bonnes options !
typiquement elles sont du genre :

   ./configure --enable-fb --enable-mmx --enable-ppro

------------------------------------------------------------------------
r320 | sam | 2000-06-01 17:25:38 +0200 (Thu, 01 Jun 2000) | 8 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/README
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/interface/main.c

 . petite erreur dans le configure.in qui emp?\239?\191?\189chait de configurer
  convenablement les options de compilation

  maintenant faire: ./configure --enable-fb --enable-blabla
    (./configure --help pour tous les voir)

 . correction d'un warning en mode non-MMX

------------------------------------------------------------------------
r321 | jimmy | 2000-06-05 22:49:32 +0200 (Mon, 05 Jun 2000) | 10 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c
   M /trunk/vlc.channels


  Ajout cradement d'une yuv en mmx 4:2:0 en 16 bpp dans video_yuv.c. Pour
l'activer / desactiver, d?\239?\191?\189commentez le define MMX du debut du fichier.

  Cette modif est exp?\239?\191?\189rimentale vue qu'elle empeche la correction gamma
dans le mode pr?\239?\191?\189-cit?\239?\191?\189 et que c'est du boulot de salop. A voir si on laisse
ou pas d'apr?\239?\191?\189s les perfs. (impossibles ?\239?\191?\189 estimer de visu chez moi).

  A vot' bon plaisir,

------------------------------------------------------------------------
r322 | sam | 2000-06-06 01:58:59 +0200 (Tue, 06 Jun 2000) | 6 lines
Changed paths:
   M /trunk/Makefile.dep
   M /trunk/Makefile.in
   M /trunk/debian/rules
   M /trunk/debian/substvars
   M /trunk/include/config.h.in
   M /trunk/src/input/input_file.c
   M /trunk/src/video_output/video_spu.c

 . bug dans le code des sous-titres (mauvais scaling en Y)
 . le vlc ne meurt pas salement en mode framebuffer quand on change
  de console (par contre, segfault en quittant, je ne sais pas encore
  pourquoi)
 . le make est ?\239?\191?\189 nouveau un peu plus verbose

------------------------------------------------------------------------
r323 | bbp | 2000-06-07 04:27:07 +0200 (Wed, 07 Jun 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c

Petites optims dans SCALE_HEIGHT pour les images de hauteur r?\239?\191?\189duite.

------------------------------------------------------------------------
r324 | sam | 2000-06-09 02:40:00 +0200 (Fri, 09 Jun 2000) | 3 lines
Changed paths:
   M /trunk/debian/rules
   M /trunk/debian/substvars
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_yuv.c

 . correction des conneries de BBP :)
 . typo dans src/interface/main.c

------------------------------------------------------------------------
r325 | sam | 2000-06-14 22:53:48 +0200 (Wed, 14 Jun 2000) | 3 lines
Changed paths:
   M /trunk/include/video_fifo.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_test.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/vpar_synchro.c

 . disparition de la plupart des printf
 . moins de warnings dans la YUV MMX

------------------------------------------------------------------------
r326 | bbp | 2000-06-14 23:37:36 +0200 (Wed, 14 Jun 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_yuv.c

r?\239?\191?\189paration de mes betises sur la yuv (d?\239?\191?\189sol?\239?\191?\189 tm), mais je remets ca bientot.

------------------------------------------------------------------------
r327 | sam | 2000-06-15 01:55:41 +0200 (Thu, 15 Jun 2000) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.in
   M /trunk/debian/vlc.1
   M /trunk/include/config.h.in
   M /trunk/include/input.h
   M /trunk/include/interface.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_network.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c

 . input fichier en ligne de commande (le reste a du p?\239?\191?\189ter, c'est pas
   possible autrement)

------------------------------------------------------------------------
r328 | sam | 2000-06-15 02:26:54 +0200 (Thu, 15 Jun 2000) | 2 lines
Changed paths:
   A /trunk/include/input_ps.h
   M /trunk/src/input/input_file.c
   M /trunk/src/interface/main.c

 . r?\239?\191?\189paration d'un oubli

------------------------------------------------------------------------
r329 | sam | 2000-06-15 02:46:34 +0200 (Thu, 15 Jun 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in

 . virage d'une connerie

------------------------------------------------------------------------
r330 | sam | 2000-06-15 02:51:28 +0200 (Thu, 15 Jun 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in

 et hop, encore une connerie

------------------------------------------------------------------------
r331 | sam | 2000-06-15 20:50:13 +0200 (Thu, 15 Jun 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure.in
   M /trunk/debian/changelog

 . petit oubli b?\239?\191?\189te dans le `make snapshot`

------------------------------------------------------------------------
r332 | sam | 2000-06-15 20:50:42 +0200 (Thu, 15 Jun 2000) | 2 lines
Changed paths:
   M /trunk/configure

 . autoconf

------------------------------------------------------------------------
r333 | sam | 2000-06-16 14:28:46 +0200 (Fri, 16 Jun 2000) | 5 lines
Changed paths:
   M /trunk/debian/files
   M /trunk/src/interface/main.c

 . vlc.init et vlc.channels sont ?\239?\191?\189 nouveau lus et interpr?\239?\191?\189t?\239?\191?\189s lorsqu'il
  n'y a pas de param?\239?\191?\189tres donn?\239?\191?\189s en ligne de commande.

 . cons?\239?\191?\189quence directe, il faut faire ?\239?\191?\189 vlc - ?\239?\191?\189 pour lire stdin.

------------------------------------------------------------------------
r334 | sam | 2000-06-16 16:04:06 +0200 (Fri, 16 Jun 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_vlan.c

 . le code des VLAN devrait refonctionner

------------------------------------------------------------------------
r335 | sam | 2000-06-17 03:49:09 +0200 (Sat, 17 Jun 2000) | 4 lines
Changed paths:
   A /trunk/ChangeLog
   M /trunk/README
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog

 . ajout?\239?\191?\189 un FIXME pour un bug dans plugins/vout/vout_x11.c
 . ajout?\239?\191?\189 un ChangeLog
 . updat?\239?\191?\189 le README

------------------------------------------------------------------------
r336 | benny | 2000-06-18 10:14:25 +0200 (Sun, 18 Jun 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in

Le Makefile genere ne gerait pas correctement le mode debug=1

------------------------------------------------------------------------
r337 | sam | 2000-06-18 13:17:01 +0200 (Sun, 18 Jun 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in

 . On peut enfin fermer la fen?\239?\191?\189tre principale en cliquant sur le bouton
  fermeture du window manager

------------------------------------------------------------------------
r338 | sam | 2000-06-18 18:52:10 +0200 (Sun, 18 Jun 2000) | 3 lines
Changed paths:
   M /trunk/debian/vlc.1

 . r?\239?\191?\189paration de la page de man
 . le target GGI fonctionne ?\239?\191?\189 nouveau, m?\239?\191?\189me s'il rame salement

------------------------------------------------------------------------
r339 | sam | 2000-06-18 22:20:42 +0200 (Sun, 18 Jun 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/interface/interface.c

 . kludge con pour ?\239?\191?\189viter que ?\239?\191?\189a segfaulte plus en sortant

------------------------------------------------------------------------
r340 | polux | 2000-06-19 02:04:47 +0200 (Mon, 19 Jun 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/input/input_file.c

 . correction d'un flag inexistant dans input_file
 . d?\239?\191?\189but du support son BeOS
 . fix d'un warning dans ac3_exponent.c

------------------------------------------------------------------------
r341 | sam | 2000-06-19 18:35:47 +0200 (Mon, 19 Jun 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/vlc.spec

 . vlc.spec pour faire des packages RedHat
 . un petit peu plus d'aout_beos

------------------------------------------------------------------------
r342 | sam | 2000-06-20 03:21:59 +0200 (Tue, 20 Jun 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/files
   M /trunk/debian/substvars
   M /trunk/vlc.spec

 . g?\239?\191?\189n?\239?\191?\189ration de .rpm et .deb via make.
 . rajout des plugins dummy m?\239?\191?\189me pour BeOS.

------------------------------------------------------------------------
r343 | polux | 2000-06-21 19:59:31 +0200 (Wed, 21 Jun 2000) | 4 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c

 Le son fonctionne sous BeOS !

 Ah, vraiment, on peut dire que BeOS roulaize, les enfants.

------------------------------------------------------------------------
r344 | sam | 2000-06-24 00:28:42 +0200 (Sat, 24 Jun 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/README
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/include/plugins.h
   A /trunk/plugins
   A /trunk/plugins/beos
   A /trunk/plugins/beos/aout_beos.cpp
   A /trunk/plugins/beos/intf_beos.cpp
   A /trunk/plugins/beos/vout_beos.cpp
   A /trunk/plugins/dsp
   A /trunk/plugins/dsp/aout_dsp.c
   A /trunk/plugins/dummy
   A /trunk/plugins/dummy/aout_dummy.c
   A /trunk/plugins/dummy/intf_dummy.c
   A /trunk/plugins/dummy/vout_dummy.c
   A /trunk/plugins/esd
   A /trunk/plugins/esd/aout_esd.c
   A /trunk/plugins/fb
   A /trunk/plugins/fb/intf_fb.c
   A /trunk/plugins/fb/vout_fb.c
   A /trunk/plugins/ggi
   A /trunk/plugins/ggi/intf_ggi.c
   A /trunk/plugins/ggi/vout_ggi.c
   A /trunk/plugins/glide
   A /trunk/plugins/glide/intf_glide.c
   A /trunk/plugins/glide/vout_glide.c
   A /trunk/plugins/gnome
   A /trunk/plugins/gnome/intf_gnome.c
   A /trunk/plugins/gnome/intf_gnome.h
   A /trunk/plugins/gnome/intf_gnome_callbacks.c
   A /trunk/plugins/gnome/intf_gnome_callbacks.h
   A /trunk/plugins/gnome/intf_gnome_interface.c
   A /trunk/plugins/gnome/intf_gnome_interface.h
   A /trunk/plugins/gnome/intf_gnome_support.c
   A /trunk/plugins/gnome/intf_gnome_support.h
   A /trunk/plugins/gnome/intf_gnome_thread.h
   A /trunk/plugins/gnome/vout_gnome.c
   A /trunk/plugins/mga
   A /trunk/plugins/mga/intf_mga.c
   A /trunk/plugins/mga/vout_mga.c
   A /trunk/plugins/mga/vout_mga.h
   A /trunk/plugins/x11
   A /trunk/plugins/x11/intf_x11.c
   A /trunk/plugins/x11/vout_x11.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/vlc.spec

 . nouveaux plugins - ne fonctionnent pas encore tous

------------------------------------------------------------------------
r345 | sam | 2000-07-04 04:37:21 +0200 (Tue, 04 Jul 2000) | 16 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile.dep
   M /trunk/Makefile.in
   M /trunk/README
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/include/ac3_decoder.h
   M /trunk/include/ac3_decoder_thread.h
   M /trunk/include/audio_decoder.h
   M /trunk/include/audio_decoder_thread.h
   M /trunk/include/audio_output.h
   M /trunk/include/beos_specific.h
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/decoder_fifo.h
   M /trunk/include/interface.h
   M /trunk/include/main.h
   A /trunk/include/playlist.h
   M /trunk/include/plugins.h
   A /trunk/include/plugins_export.h
   M /trunk/include/spu_decoder.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   A /trunk/plugins/beos/beos.cpp
   A /trunk/plugins/dsp/dsp.c
   A /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   A /trunk/plugins/esd/esd.c
   A /trunk/plugins/fb/fb.c
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/fb/vout_fb.c
   A /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   A /trunk/plugins/glide/glide.c
   A /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gnome/vout_gnome.c
   A /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/x11/vout_x11.c
   A /trunk/plugins/x11/x11.c
   A /trunk/plugins/yuv
   A /trunk/plugins/yuv/video_yuv.c
   A /trunk/plugins/yuv/video_yuv.h
   A /trunk/plugins/yuv/video_yuv15.c
   A /trunk/plugins/yuv/video_yuv16.c
   A /trunk/plugins/yuv/video_yuv24.c
   A /trunk/plugins/yuv/video_yuv32.c
   A /trunk/plugins/yuv/video_yuv8.c
   A /trunk/plugins/yuv/video_yuv_macros.h
   A /trunk/plugins/yuv/video_yuv_macros_8bpp.h
   A /trunk/plugins/yuv/yuv.c
   A /trunk/plugins/yuvmmx
   A /trunk/plugins/yuvmmx/video_yuv.c
   A /trunk/plugins/yuvmmx/video_yuv.h
   A /trunk/plugins/yuvmmx/video_yuv15.c
   A /trunk/plugins/yuvmmx/video_yuv16.c
   A /trunk/plugins/yuvmmx/video_yuv24.c
   A /trunk/plugins/yuvmmx/video_yuv32.c
   A /trunk/plugins/yuvmmx/video_yuv8.c
   A /trunk/plugins/yuvmmx/video_yuv_asm.h
   A /trunk/plugins/yuvmmx/video_yuv_macros.h
   A /trunk/plugins/yuvmmx/yuvmmx.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_vlan.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/beos_specific.cpp
   A /trunk/src/misc/playlist.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_output/video_yuv.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c
   M /trunk/vlc.spec

Bon, puisque ?\239?\191?\189a semble commiter sous BeOS, je commite.

Voil?\239?\191?\189 le changelog appoximatif :

 . fichier INSTALL plus clair
 . vir?\239?\191?\189 quelques warnings
 . *PATH sont maintenant d?\239?\191?\189finis dans config.h
 . quelques fautes d'orthographe
 . l'option --enable-ppro n'est pas mise par d?\239?\191?\189faut car elle ne fonctionne
  pas sur un K6-2
 . nouvelle API des plugins
 . le client framebuffer ne d?\239?\191?\189truit plus la console quand on quitte
 . r?\239?\191?\189paration de la YUV 8 bits
 . mise des YUV en plugins
 . transfo YUV 32bits MMX chour?\239?\191?\189e dans la libmpeg2

------------------------------------------------------------------------
r346 | sam | 2000-07-06 16:45:51 +0200 (Thu, 06 Jul 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/plugins/yuv/video_yuv8.c
   M /trunk/plugins/yuv/video_yuv_macros_8bpp.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/input/input.c
   M /trunk/src/video_parser/vpar_synchro.c

 . fix?\239?\191?\189 une b?\239?\191?\189vue dans la YUV 8 bits
 . descendu le d?\239?\191?\189lai de d?\239?\191?\189marrage ?\239?\191?\189 .5 secondes au lieu de 2
 . un nouvelle synchro qui devrait punixe !!!

------------------------------------------------------------------------
r347 | sam | 2000-07-08 16:29:29 +0200 (Sat, 08 Jul 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in

 . petite correction pour que le RPM puisse ?\239?\191?\189tre construit sur Mandrake

------------------------------------------------------------------------
r348 | sam | 2000-07-12 01:03:15 +0200 (Wed, 12 Jul 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog

 . updated changelog

------------------------------------------------------------------------
r349 | sam | 2000-07-12 01:03:54 +0200 (Wed, 12 Jul 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/interface/main.c
   M /trunk/src/video_parser/vpar_synchro.c

 . changement cosm?\239?\191?\189tique

------------------------------------------------------------------------
r350 | sam | 2000-07-12 01:04:56 +0200 (Wed, 12 Jul 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in

 . le make snapshot fait un .bz2 aussi

------------------------------------------------------------------------
r351 | polux | 2000-07-18 21:23:00 +0200 (Tue, 18 Jul 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/beos/beos.cpp

Maintenant le vlc fonctionne correctement sous BeOS (?\239?\191?\189 part la synchro).

------------------------------------------------------------------------
r352 | sam | 2000-07-19 02:03:25 +0200 (Wed, 19 Jul 2000) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/debian/changelog
   M /trunk/include/config.h.in
   M /trunk/include/decoder_fifo.h
   M /trunk/src/misc/decoder_fifo.c

 . nouveau bitstream fait par Meuuh (qui est mortel) et qui nous
fait gagner plus de 0.8% en vitesse, ce qui peut para?\239?\191?\189tre peu, mais
en fait au bout de 35 fois on aura d?\239?\191?\189pass?\239?\191?\189 30% de gains.

 . remise de l'ancienne taille d'image par d?\239?\191?\189faut

------------------------------------------------------------------------
r353 | sam | 2000-07-20 15:49:24 +0200 (Thu, 20 Jul 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/vlc.spec

 . suppression du d?\239?\191?\189codeur de r?\239?\191?\189f?\239?\191?\189rence qui de toute fa?\239?\191?\189on ne marcherait
  plus vraiment avec la structure actuelle du vlc
 . pr?\239?\191?\189paration de la 0.1.99e

------------------------------------------------------------------------
r354 | sam | 2000-07-30 03:59:50 +0200 (Sun, 30 Jul 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/README
   M /trunk/include/config.h.in
   M /trunk/include/main.h
   M /trunk/include/plugins.h
   D /trunk/include/plugins_export.h
   A /trunk/include/tests.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gnome/gnome.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/vout_gnome.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/x11/intf_x11.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuv16.c
   M /trunk/plugins/yuv/yuv.c
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/yuvmmx.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/plugins.c
   A /trunk/src/misc/tests.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/vpar_synchro.c

 . autod?\239?\191?\189tection des plugins
 . les aliases "gvlc" "fbvlc" "ggivlc" fonctionne comme il faut

------------------------------------------------------------------------
r355 | sam | 2000-07-31 01:42:12 +0200 (Mon, 31 Jul 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/debian/vlc.1
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv.h
   M /trunk/plugins/yuvmmx/video_yuv16.c
   M /trunk/plugins/yuvmmx/video_yuv24.c
   M /trunk/plugins/yuvmmx/video_yuv32.c
   M /trunk/plugins/yuvmmx/video_yuv8.c
   M /trunk/plugins/yuvmmx/video_yuv_asm.h
   M /trunk/plugins/yuvmmx/video_yuv_macros.h
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.h
   M /trunk/src/video_output/video_yuv.c
   M /trunk/src/video_parser/vpar_synchro.c

 . rajout de l'option -Winline
 . fix de certaines fonctions qui devraient ?\239?\191?\189tre inlin?\239?\191?\189es
 . gain de place dans la YUVMMX

------------------------------------------------------------------------
r356 | sam | 2000-08-08 00:18:24 +0200 (Tue, 08 Aug 2000) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/include/config.h.in
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv.h
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

  * vlc.init becomes ~/.vlcrc
  * removed float operations in the video decoder, and all emms asm functions
  * borrowed linuxvideo's MMX motion compensation
  * fixed an undefined symbol in the MMX YUV plugin

Meuuh & Sam.

------------------------------------------------------------------------
r357 | sam | 2000-08-08 00:19:00 +0200 (Tue, 08 Aug 2000) | 2 lines
Changed paths:
   A /trunk/include/mmx.h
   A /trunk/src/video_decoder/vdec_motion_inner_mmx.c

 . fichiers manquants

------------------------------------------------------------------------
r358 | sam | 2000-08-08 00:20:47 +0200 (Tue, 08 Aug 2000) | 2 lines
Changed paths:
   M /trunk/.cvsignore
   A /trunk/include/.cvsignore

 . un peu de m?\239?\191?\189nage dans le .cvsignore

------------------------------------------------------------------------
r359 | sam | 2000-08-08 14:05:57 +0200 (Tue, 08 Aug 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/dirs
   M /trunk/debian/files
   M /trunk/debian/postinst.debhelper
   M /trunk/debian/postrm.debhelper
   M /trunk/debian/rules
   M /trunk/debian/substvars
   M /trunk/debian/vlc.menu
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/vlc.spec

 . d?\239?\191?\189commentage d'une fonction comment?\239?\191?\189e par erreur
 . version 0.1.99f
 . divers fixes dans la cr?\239?\191?\189ation des packages

------------------------------------------------------------------------
r360 | sam | 2000-08-09 00:51:04 +0200 (Wed, 09 Aug 2000) | 19 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/vlc.1
   M /trunk/include/config.h.in
   M /trunk/include/vpar_synchro.h
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . vir?\239?\191?\189 les aliases ?\239?\191?\189 xvlc ?\239?\191?\189, ?\239?\191?\189 ggivlc ?\239?\191?\189 etc. qui faisaient un peu
  piti?\239?\191?\189, pour ne laisser que ?\239?\191?\189 vlc ?\239?\191?\189, ?\239?\191?\189 gvlc ?\239?\191?\189 (gnome) et ?\239?\191?\189 fbvlc ?\239?\191?\189
  (framebuffer) ; les autres restent bien entendu accessibles avec
  par exemple ?\239?\191?\189 vlc --vout ggi ?\239?\191?\189.

 . IMPORTANT - nouvelle option --synchro pour forcer un type de
  synchro. Pour le moment les options possibles sont :

    --synchro I     /* n'affiche que les I */
    --synchro IP    /* affiche les I et toutes les P */
    --synchro IP+   /* affiche les I, les P, et la moiti?\239?\191?\189 des B */
    --synchro IPB   /* affiche toutes les images */

   Toute autre valeur de --synchro sera ignor?\239?\191?\189e et c'est l'algo
  par d?\239?\191?\189faut bas?\239?\191?\189 sur la consommation de processeur qui sera
  utilis?\239?\191?\189. Notez que si vous en demandez trop au vlc, il va
  bien entendu planter, ou tout du moins remplir sa fifo comme
  un gros cochon. On n'y peut pas grand chose, c'est la vie.

------------------------------------------------------------------------
r361 | sam | 2000-08-11 00:52:29 +0200 (Fri, 11 Aug 2000) | 2 lines
Changed paths:
   A /trunk/TODO

 . TODO list

------------------------------------------------------------------------
r362 | sam | 2000-08-11 01:33:26 +0200 (Fri, 11 Aug 2000) | 2 lines
Changed paths:
   M /trunk/TODO

 . chang?\239?\191?\189 l'ordre des t?\239?\191?\189ches

------------------------------------------------------------------------
r363 | sam | 2000-08-13 19:39:55 +0200 (Sun, 13 Aug 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/TODO
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv.h
   M /trunk/plugins/yuvmmx/video_yuv16.c
   M /trunk/plugins/yuvmmx/video_yuv32.c
   M /trunk/plugins/yuvmmx/video_yuv_asm.h

  * removed an unused variable in the MMX YUVs.
  * fixed 32bpp MMX YUV, made the comments clearer, removed an emms.

------------------------------------------------------------------------
r364 | sam | 2000-08-13 20:36:57 +0200 (Sun, 13 Aug 2000) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuv.h
   M /trunk/plugins/yuv/video_yuv16.c
   M /trunk/plugins/yuv/video_yuv32.c
   M /trunk/plugins/yuv/video_yuv8.c
   M /trunk/plugins/yuv/video_yuv_macros_8bpp.h
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/video_output/video_output.c

  * now scaling is on by default, so that people won't tell that the vlc
    cannot do scaling :-)
  * fixed a few long lines.
  * _almost_ fixed 8bpp YUV.

------------------------------------------------------------------------
r365 | sam | 2000-08-14 03:13:25 +0200 (Mon, 14 Aug 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/TODO
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuv16.c
   M /trunk/plugins/yuv/video_yuv32.c
   M /trunk/plugins/yuv/video_yuv8.c
   M /trunk/plugins/yuv/video_yuv_macros.h
   M /trunk/plugins/yuv/video_yuv_macros_8bpp.h
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv16.c
   M /trunk/plugins/yuvmmx/video_yuv32.c
   M /trunk/src/video_parser/vpar_synchro.c

  * fixed 8bpp YUV.
  * fixed the fscked up Bresenham algorithm in all YUV functions.

------------------------------------------------------------------------
r366 | sam | 2000-08-15 15:37:43 +0200 (Tue, 15 Aug 2000) | 13 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/TODO
   A /trunk/debian/.cvsignore

 . rajout?\239?\191?\189 build-stamp et debian/tmp dans les .cvsignore

 . de nouvelles id?\239?\191?\189es dans la TODO list :

Difficulty: Guru    Urgency: Wishlist   Support for RTP
Difficulty: Medium  Urgency: Wishlist   Draw a font / support color fonts
Difficulty: Medium  Urgency: Important  Layer 2 mono support
Difficulty: Hard    Urgency: Wishlist   MP3 support
Difficulty: Hard    Urgency: Normal     Support for unencapsulated streams
Difficulty: Guru    Urgency: Wishlist   Ogg/Vorbis audio decoder support
Difficulty: Hard    Urgency: Normal     Xv video output support
Difficulty: Medium  Urgency: Normal     SDL video output support

------------------------------------------------------------------------
r367 | polux | 2000-08-15 19:40:40 +0200 (Tue, 15 Aug 2000) | 12 lines
Changed paths:
   M /trunk/include/decoder_fifo.h
   M /trunk/include/threads.h
   M /trunk/plugins/beos/vout_beos.cpp

R?\239?\191?\189paration de la version BeOS. Le probl?\239?\191?\189me venait du swab32 de la nouvelle
bit stream, la macro pour la conversion de BIGENDIAN vers LITTLEENDIAN ne
fonctionnant (toujours) pas.

La version BeOS pose encore de gros probl?\239?\191?\189mes:
- des plantages al?\239?\191?\189atoires lorsqu'on utilise le son,
- des performances tr?\239?\191?\189s en dessous de celles d'anciennes version du vlc,
- une synchro son qui ne fonctionne pas correctement,
- au bout d'un certain temps d'utilisation, toutes les ressources syst?\239?\191?\189mes
  sont consomm?\239?\191?\189es et le syst?\239?\191?\189me lui-m?\239?\191?\189me devient instable (merci d'?\239?\191?\189viter
  les commentaires sur la stabilit?\239?\191?\189 de BeOS)

------------------------------------------------------------------------
r368 | sam | 2000-08-16 01:35:31 +0200 (Wed, 16 Aug 2000) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   D /trunk/NEWS
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/.cvsignore
   D /trunk/debian/changelog
   M /trunk/debian/control
   D /trunk/debian/copyright
   M /trunk/debian/dirs
   D /trunk/debian/docs
   D /trunk/debian/files
   D /trunk/debian/postinst.debhelper
   D /trunk/debian/postrm.debhelper
   D /trunk/debian/prerm.debhelper
   M /trunk/debian/rules
   D /trunk/debian/substvars
   A /trunk/debian/vlc-esd.files
   A /trunk/debian/vlc-fb.files
   A /trunk/debian/vlc-ggi.files
   A /trunk/debian/vlc-glide.files
   A /trunk/debian/vlc-gnome.files
   A /trunk/debian/vlc-gnome.menu
   D /trunk/debian/vlc.1
   A /trunk/debian/vlc.copyright
   A /trunk/debian/vlc.docs
   A /trunk/share/gvlc.png
   M /trunk/src/interface/main.c
   M /trunk/vlc.spec

  * fixed a dumb bug in the Makefile that prevented inclusion of the
    -march=pentium directive. thanks Meuuh, blame sam.
  * fixed a warning in main.c.
  * separate Debian packages.
  * added request for ALSA support in the TODO list.

------------------------------------------------------------------------
r369 | sam | 2000-08-16 02:28:29 +0200 (Wed, 16 Aug 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure.in
   A /trunk/debian/changelog
   A /trunk/debian/vlc.1

 * more files needed to build packages
 * changed "pentiumpro" to "ppro" in the ./configure, it was misleading.
 * prepared 0.1.99g

------------------------------------------------------------------------
r370 | sam | 2000-08-17 16:45:42 +0200 (Thu, 17 Aug 2000) | 9 lines
Changed paths:
   M /trunk/TODO

 . new tasks :

Description: Fix plugins namespace problem
Description: Fix plugin autoloading
Description: Real plugin API
Description: Enable compiled-in plugins
Description: Optimize SPU rendering
Description: SPU error recovery

------------------------------------------------------------------------
r371 | octplane | 2000-08-18 10:25:23 +0200 (Fri, 18 Aug 2000) | 9 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/sdl
   A /trunk/plugins/sdl/intf_sdl.c
   A /trunk/plugins/sdl/sdl.c
   A /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/misc/plugins.c

My first contribution.

* Added SDL plugin
	* support fullscreen display with --display fullscreen
	* complete keyboard handling
* Added --enable_sdl to configure

Octplane.

------------------------------------------------------------------------
r372 | sam | 2000-08-18 19:02:03 +0200 (Fri, 18 Aug 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/rules
   A /trunk/debian/vlc-sdl.files
   M /trunk/plugins/sdl/sdl.c

 . removed the sdlvlc alias
 . added the vlc-sdl package in the Debian control files

------------------------------------------------------------------------
r373 | polux | 2000-08-19 00:35:10 +0200 (Sat, 19 Aug 2000) | 3 lines
Changed paths:
   M /trunk/plugins/beos/aout_beos.cpp

Correction d'un bug dans l'audio output de beos, ce dernier causait des
plantages al?\239?\191?\189atoires au lancement (i_buffer_pos n'?\239?\191?\189tait pas initialis?\239?\191?\189).

------------------------------------------------------------------------
r374 | sam | 2000-08-21 03:47:19 +0200 (Mon, 21 Aug 2000) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_file.c
   M /trunk/src/video_parser/vpar_synchro.c

  * removed CCFLAGS flags which were improperly used.
  * added hints for powerpc build.
  * fixed the input_file exit bug.
  * fixed a Makefile bug which removed the CVS directory.
  * removed the frame statistics output.

------------------------------------------------------------------------
r375 | octplane | 2000-08-21 11:33:42 +0200 (Mon, 21 Aug 2000) | 18 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/interface.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/sdl.c
   A /trunk/plugins/sdl/video_yuv.c
   A /trunk/plugins/sdl/video_yuv.h
   A /trunk/plugins/sdl/video_yuv_macros.h
   A /trunk/plugins/sdl/video_yuvall.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/intf_x11.c
   M /trunk/src/interface/interface.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/video_decoder/vdec_idctmmx.S
   M /trunk/src/video_output/video_yuv.c

A few new things:

	. The interface part:
			. created intf_AssignKey, intf_getKey and intf_AssignNormalKeys
			these new function are a first abstraction of the the key handling system.			It makes use of a new structure in the interface : p_keys.

			. AssignNormalKeys is commonly used in all the interface plugins.
			AssignKey is used to allow the SDL interface to react nicely.

			. Now the plugin struct element psz_filename is filled (and freed
				at the end of the program).

	. the SDL plugin:
			works but does only display a green screen for now. so don't use it !

	. Please try and compile the client on your box with this version.
		I've tried a few output plugin but not all.

------------------------------------------------------------------------
r376 | octplane | 2000-08-21 11:40:11 +0200 (Mon, 21 Aug 2000) | 4 lines
Changed paths:
   M /trunk/src/misc/plugins.c

Plugin handling:
	. switched low and high order vout plugins
	. removed yuvsdl plugin.

------------------------------------------------------------------------
r377 | octplane | 2000-08-21 18:22:03 +0200 (Mon, 21 Aug 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/plugins/sdl/sdl.c

.SDL:
	.removed the YUV thing from the SDL
	.cleaned up the makefile to remove it
	.UNTESTED (seems to compile).

------------------------------------------------------------------------
r378 | polux | 2000-08-21 21:57:55 +0200 (Mon, 21 Aug 2000) | 12 lines
Changed paths:
   M /trunk/include/threads.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp

A lot of bug fixs for the BeOS side of VideoLAN:
- the vlc does not exhaust system resources anymore (it was creating a new
  mutex each picture so after a while there was no more mutex available in
  the entire system);
- the sound has been corrected and now it works perfectly;
- the window has now the right size (there was and additional line before).

The (BeOS) threads have also been improved especially with the cond vars
(but it is no more compliant with the pthread cond vars).

VideoLAN for BeOS now rocks and is ready for its first binary release.

------------------------------------------------------------------------
r379 | sam | 2000-08-21 22:05:42 +0200 (Mon, 21 Aug 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/vlc.spec

 . updated version number
 . removed a verbose message in intf_sdl.c

------------------------------------------------------------------------
r380 | polux | 2000-08-21 22:16:22 +0200 (Mon, 21 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Added the beos fixes in the ChangeLog.

------------------------------------------------------------------------
r381 | sam | 2000-08-22 02:13:26 +0200 (Tue, 22 Aug 2000) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/interface/interface.c
   D /trunk/vlc.channels

  * added a few sanity checks in the audio mpeg and ac3 decoders.
  * temporarily got rid of vlc.channels.
  * added notice in debian/control about unencrypted DVDs.
  * fixed PowerPC .deb build.

------------------------------------------------------------------------
r382 | sam | 2000-08-22 17:58:32 +0200 (Tue, 22 Aug 2000) | 2 lines
Changed paths:
   M /trunk/debian/vlc.docs
   M /trunk/src/misc/tests.c
   M /trunk/src/video_parser/vpar_blocks.c

 . fixed PPC .deb build

------------------------------------------------------------------------
r383 | sam | 2000-08-23 23:38:50 +0200 (Wed, 23 Aug 2000) | 5 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/ChangeLog
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c

We now have support for the field pictures. It shouldn't break teh frame
pictures, if you notice anything please ring my bell.

--Meuuh (live from Julie)

------------------------------------------------------------------------
r384 | massiot | 2000-08-24 00:15:28 +0200 (Thu, 24 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/debug.h
   M /trunk/include/decoder_fifo.h
   M /trunk/include/input.h
   M /trunk/include/input_netlist.h
   M /trunk/include/input_ps.h
   M /trunk/include/input_vlan.h
   M /trunk/include/int_types.h
   M /trunk/include/main.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/rsc_files.h
   M /trunk/include/vdec_idct.h
   M /trunk/include/vdec_motion.h
   M /trunk/include/video.h
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_graphics.h
   M /trunk/include/video_output.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_blocks.h
   M /trunk/include/vpar_headers.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/generic_decoder/generic_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ctrl.c
   M /trunk/src/input/input_ctrl.h
   M /trunk/src/input/input_file.c
   M /trunk/src/input/input_file.h
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_network.c
   M /trunk/src/input/input_network.h
   M /trunk/src/input/input_pcr.c
   M /trunk/src/input/input_pcr.h
   M /trunk/src/input/input_psi.c
   M /trunk/src/input/input_psi.h
   M /trunk/src/input/input_vlan.c
   M /trunk/src/misc/decoder_fifo.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Remplissure du champ AUTHORS des sources.

------------------------------------------------------------------------
r385 | polux | 2000-08-24 00:22:56 +0200 (Thu, 24 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/src/input/input_file.c

Fixed another bug in the input_file.

------------------------------------------------------------------------
r386 | sam | 2000-08-24 01:45:27 +0200 (Thu, 24 Aug 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/input/input_file.c
   M /trunk/src/misc/plugins.c

 . fixed an other typo
 . fixed the aliases install
 . renamed an inconsistent variable in src/input/input_file.c

------------------------------------------------------------------------
r387 | sam | 2000-08-24 02:04:42 +0200 (Thu, 24 Aug 2000) | 2 lines
Changed paths:
   M /trunk/src/interface/interface.c

 . support de la touche `q' pour quitter

------------------------------------------------------------------------
r388 | sam | 2000-08-24 02:16:25 +0200 (Thu, 24 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/vpar_synchro.h
   M /trunk/src/interface/main.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 . support pour --synchro I+ (images I et la premi?\239?\191?\189re P)

------------------------------------------------------------------------
r389 | octplane | 2000-08-24 16:58:51 +0200 (Thu, 24 Aug 2000) | 11 lines
Changed paths:
   M /trunk/TODO
   M /trunk/include/interface.h
   A /trunk/include/keystrokes.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/interface/interface.c

Hello,

Some news things:

 . I am still going on modifiying the key event handling method to make it more flexible. I still have a few things to get what I'd like to
 . added a keystrokes.h include which contains a generic name of all the VLC keys binding
 . modified some of the core interface routines to allow the passing of an extra parameter with a keystroke (VLC_CHANNEL).
 . next step: move all the interface dependent parts (such as the getKey function) to the plugins.

Hope this will run on your boxes...

------------------------------------------------------------------------
r390 | octplane | 2000-08-24 18:29:22 +0200 (Thu, 24 Aug 2000) | 2 lines
Changed paths:
   M /trunk/include/keystrokes.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/interface/interface.c

many minor style fixes (thanx to sam).

------------------------------------------------------------------------
r391 | henri | 2000-08-26 15:07:35 +0200 (Sat, 26 Aug 2000) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_spu.c


Put a test outside a loop : fixes task 0x31

------------------------------------------------------------------------
r392 | massiot | 2000-08-26 16:48:56 +0200 (Sat, 26 Aug 2000) | 4 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c

Fix?\239?\191?\189 une bonne partie du putain de bug des carr?\239?\191?\189s qui font chier ?\239?\191?\189 chaque
changement de plan. Si c'est encore moche, c'est pas de ma faute, c'est le
scaling.

------------------------------------------------------------------------
r393 | massiot | 2000-08-27 03:03:44 +0200 (Sun, 27 Aug 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c

J'avais oubli?\239?\191?\189 de faire les m?\239?\191?\189mes modifs dans le motion MMX.

------------------------------------------------------------------------
r394 | sam | 2000-08-27 12:49:25 +0200 (Sun, 27 Aug 2000) | 6 lines
Changed paths:
   M /trunk/TODO

 . update de la TODO list

  Henri, il y a du nouveau boulot pour toi, regarde la task 0x38,
 ?\239?\191?\189a ne devrait pas ?\239?\191?\189tre trop dur, ?\239?\191?\189a t'obligera ?\239?\191?\189 lire le code de
 l'audio_output, et surtout ?\239?\191?\189a te fera la bite.

------------------------------------------------------------------------
r395 | sam | 2000-08-27 14:32:06 +0200 (Sun, 27 Aug 2000) | 5 lines
Changed paths:
   M /trunk/TODO

 . fix?\239?\191?\189 une erreur d'indentation

(Oct, tu devrais vraiment regarder ton ?\239?\191?\189diteur. Tu as vu le
   bordel qu'il a foutu dans src/interface/interface.c ?)

------------------------------------------------------------------------
r396 | massiot | 2000-08-27 18:21:49 +0200 (Sun, 27 Aug 2000) | 3 lines
Changed paths:
   M /trunk/src/video_parser/vpar_blocks.c

Un bug cette fois-ci avec le parseur et un traitement erron?\239?\191?\189 des macroblocs
saut?\239?\191?\189s dans les images B qui provoquait des carr?\239?\191?\189s.

------------------------------------------------------------------------
r397 | massiot | 2000-08-27 18:31:50 +0200 (Sun, 27 Aug 2000) | 2 lines
Changed paths:
   M /trunk/include/vpar_blocks.h

Oubli?\239?\191?\189 d'en committer un bout...

------------------------------------------------------------------------
r398 | massiot | 2000-08-27 23:52:56 +0200 (Sun, 27 Aug 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Correction d'un bug de synchro pour les images monotrames.

------------------------------------------------------------------------
r399 | sam | 2000-08-28 00:05:42 +0200 (Mon, 28 Aug 2000) | 2 lines
Changed paths:
   M /trunk/TODO

 . rajout du fix de Meuuh dans la todolist.

------------------------------------------------------------------------
r400 | sam | 2000-08-28 02:33:54 +0200 (Mon, 28 Aug 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/interface.h
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/interface/interface.c

  * cleaned Octplane's crappy indentation.
  * fixed the --server option which didn't work if a ~/.vlcrc existed.

------------------------------------------------------------------------
r401 | sam | 2000-08-28 02:37:44 +0200 (Mon, 28 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/vlc.spec

 . version 0.1.99i

------------------------------------------------------------------------
r402 | octplane | 2000-08-29 01:12:08 +0200 (Tue, 29 Aug 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/TODO
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_text.h

. Added a 'f' shortcut to the SDL output (fullscreen/windowed)
. Modified the Idle screen of the vlc (seems to suck a lot of CPU anyway :/)
. Prayed for a good indentation ;).

------------------------------------------------------------------------
r403 | sam | 2000-08-29 02:01:06 +0200 (Tue, 29 Aug 2000) | 2 lines
Changed paths:
   M /trunk/TODO

 . rha mais faisez gaffe au format de la todo list sarass !

------------------------------------------------------------------------
r404 | octplane | 2000-08-29 02:03:21 +0200 (Tue, 29 Aug 2000) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/src/video_output/video_output.c

. Arranged a few things

... still dirty, but the earthquake is coming...

------------------------------------------------------------------------
r405 | henri | 2000-08-30 18:24:25 +0200 (Wed, 30 Aug 2000) | 2 lines
Changed paths:
   M /trunk/plugins/dummy/aout_dummy.c

Fixed a 100% CPU use bug while no stream is received

------------------------------------------------------------------------
r406 | henri | 2000-08-30 19:06:00 +0200 (Wed, 30 Aug 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog

Oui, bon,  j'ai oubli?\239?\191?\189 le changelog, ?\239?\191?\189a peut arriver einh !

------------------------------------------------------------------------
r407 | stef | 2000-10-18 01:42:13 +0200 (Wed, 18 Oct 2000) | 4 lines
Changed paths:
   M /trunk/plugins/x11/vout_x11.c

.Fix du probl?\239?\191?\189me de detection de la profondeur en 16 bits sous XFree 4

J'esp?\239?\191?\189re que ?\239?\191?\189a marche encore avec XFree 3.3

------------------------------------------------------------------------
r408 | sam | 2000-10-18 04:17:20 +0200 (Wed, 18 Oct 2000) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

 . correction d'une faute de frappe dans configure.in (?\239?\191?\189a r?\239?\191?\189pond ?\239?\191?\189 ta
  question, Stef ? :)

------------------------------------------------------------------------
r409 | stef | 2000-10-18 04:42:43 +0200 (Wed, 18 Oct 2000) | 3 lines
Changed paths:
   M /trunk/plugins/gnome/vout_gnome.c

* Modification du module gnome pour l'output sous Xfree4 (detection
16bits).

------------------------------------------------------------------------
r410 | stef | 2000-10-23 04:04:48 +0200 (Mon, 23 Oct 2000) | 5 lines
Changed paths:
   M /trunk/TODO
   M /trunk/src/video_parser/vpar_blocks.c

* D?\239?\191?\189buggage de la vid?\239?\191?\189o MPEG 1 (=> correction de deux bugs dans le
parsage des blocs et d'un bugs dans le parseur des vecteurs de mouvement).

--Meuuh

------------------------------------------------------------------------
r411 | sam | 2000-10-24 11:16:11 +0200 (Tue, 24 Oct 2000) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/src/video_output/video_output.c
   M /trunk/vlc.spec

 * correction de l'affichage des fps (affichage, pas calcul).
 * changements mineurs dans les fichiers Debian.

------------------------------------------------------------------------
r412 | reno | 2000-10-24 18:00:56 +0200 (Tue, 24 Oct 2000) | 4 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/src/audio_output/audio_output.c



Modification l?\239?\191?\189g?\239?\191?\189re de la gestion du volume

------------------------------------------------------------------------
r413 | octplane | 2000-10-24 19:36:14 +0200 (Tue, 24 Oct 2000) | 6 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c

. Added a very basic splash screen, to be continued.
. fixed a small bug in the idle screen.

--
Oct.

------------------------------------------------------------------------
r414 | jeanphi | 2000-10-25 01:16:26 +0200 (Wed, 25 Oct 2000) | 6 lines
Changed paths:
   M /trunk/src/input/input_file.c

lecon de programmation a l'intention des debutants qui ont ecrit
input_file.c :
- les codes d'erreur sont fait pour etre utilises
- quand on ouvre un fichier on le referme
-- jeanphi

------------------------------------------------------------------------
r415 | reno | 2000-10-25 14:18:25 +0200 (Wed, 25 Oct 2000) | 4 lines
Changed paths:
   M /trunk/include/video_decoder.h
   M /trunk/include/video_output.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/vpar_blocks.c



Suppression du d?\239?\191?\189codage de la chrominance en B&W

------------------------------------------------------------------------
r416 | jeanphi | 2000-10-25 20:40:58 +0200 (Wed, 25 Oct 2000) | 4 lines
Changed paths:
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv16.c
   M /trunk/plugins/yuvmmx/video_yuv_asm.h

vout_glide.c: donne une taille correcte a l'affichage (800x600)

yuvmmx: conv. Y4Gray16, les autres sont a venir

------------------------------------------------------------------------
r417 | stef | 2000-10-25 22:54:05 +0200 (Wed, 25 Oct 2000) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

. Fixed the sdl plugins to match the changes in the version 1.1.5

The vlc gives a segfault when exiting if you use sdl. I still don't know why

------------------------------------------------------------------------
r418 | stef | 2000-10-26 01:14:01 +0200 (Thu, 26 Oct 2000) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

. Fixed segmentation fault when sdl output exits.

Actually, I don't know why SDLclose was commented out.

------------------------------------------------------------------------
r419 | reno | 2000-10-26 14:00:02 +0200 (Thu, 26 Oct 2000) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_output.c



Une l?\239?\191?\189g?\239?\191?\189re modification pour le passage B&W ?\239?\191?\189 C

------------------------------------------------------------------------
r420 | sam | 2000-10-26 17:00:34 +0200 (Thu, 26 Oct 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/input/input_network.c
   M /trunk/src/interface/main.c

 . ajout de l'option --broadcast en ligne de commande

------------------------------------------------------------------------
r421 | stef | 2000-10-29 02:07:59 +0200 (Sun, 29 Oct 2000) | 8 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

.Added window title in sdl output
.Removed mouse cursor in fullscreen mode
.Changed bits-per-pixel during window creation to X11 current depth

Although bits-per-pixel was initialized to 15 in every cases, the quality
changed when we switched X11 depth; so I don't know the real effect of this
constant in SDL.

------------------------------------------------------------------------
r422 | sam | 2000-10-29 11:05:14 +0100 (Sun, 29 Oct 2000) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/src/video_output/video_output.c

 . le mode framebuffer vide l'?\239?\191?\189cran quand on quitte.

------------------------------------------------------------------------
r423 | stef | 2000-11-03 22:33:16 +0100 (Fri, 03 Nov 2000) | 5 lines
Changed paths:
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c

.changed option --novlans to --vlans to test vlan server
.removed return 0 in LoadChannels

vlc.channels works again and with vlan soon...

------------------------------------------------------------------------
r424 | polux | 2000-11-10 23:43:59 +0100 (Fri, 10 Nov 2000) | 2 lines
Changed paths:
   M /trunk/src/misc/plugins.c

Correction d'un buffer overflow qui cr?\239?\191?\189ait des plantages al?\239?\191?\189atoires sous BeOS.

------------------------------------------------------------------------
r425 | massiot | 2000-11-13 14:58:18 +0100 (Mon, 13 Nov 2000) | 10 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/include/config.h.in
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/misc/mtime.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

  * Totally new frame dropping algorithm.
  * Fixed a bug in video_ouput.c which made the stream go backwards
    sometimes.
  * Fixed a bug in video_ouput.c which trashed more late pictures than
    necessary.
  * Fixed the DEBUG mode in the Makefile.
  * Fixed a bug in mwait() which made us wait too long.

Ca va tuer.

------------------------------------------------------------------------
r426 | massiot | 2000-11-13 23:09:43 +0100 (Mon, 13 Nov 2000) | 5 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/video_output/video_output.c

* Retirage du #define STATS ;
* Le warning (late pictures) du vout est d?\239?\191?\189sormais un DbgMsg (en
attendant les WarnMsg) ;
* Correction d'un bug en mode debug (sic).

------------------------------------------------------------------------
r427 | massiot | 2000-11-14 23:58:44 +0100 (Tue, 14 Nov 2000) | 8 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/config.h.in
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/vpar_blocks.c

* R?\239?\191?\189paration du VDEC_SMP. Ca marche sans planter avec la nouvelle
synchro.
* Remettage du #define STATS parce qu'en fait sinon on n'a pas les infos
dans la fen?\239?\191?\189tre. C'est dommage d'ailleurs qu'on ait ?\239?\191?\189 le mettre, parce
que du coup ?\239?\191?\189a va nous d?\239?\191?\189courager de faire des stats sur d'autres
parties.
* Changements cosm?\239?\191?\189tiques dans les relations video_parser/video_decoder.

------------------------------------------------------------------------
r428 | massiot | 2000-11-18 04:15:01 +0100 (Sat, 18 Nov 2000) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in

* Added --enable-debug, --enable-stats and --disable-optims (sam could
you check I did'nt make a mess of it ?).
* Added todo things in the TODO file.

------------------------------------------------------------------------
r429 | henri | 2000-11-20 04:31:45 +0100 (Mon, 20 Nov 2000) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/INSTALL
   M /trunk/Makefile.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/alsa
   A /trunk/plugins/alsa/alsa.c
   A /trunk/plugins/alsa/aout_alsa.c
   M /trunk/src/misc/plugins.c



Added : alsa support
Todo : - test it on several cards
       - support more than Stereo s16
       - make configure check for alsa

------------------------------------------------------------------------
r430 | stef | 2000-11-21 02:41:45 +0100 (Tue, 21 Nov 2000) | 8 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c

.Impl?\239?\191?\189mentation de intf_WarnMsg( int i_level, char *psz_format, ... ) et
intf_WarnMsgImm
.on active les messages de warning au lancement avec l'option --warning
.le i_level par d?\239?\191?\189fault est 12 (on ne montre pas les messages de niveau
inf?\239?\191?\189rieur ?\239?\191?\189 12

J'esp?\239?\191?\189re que ?\239?\191?\189a correspond ?\239?\191?\189 ce qui a ?\239?\191?\189t?\239?\191?\189 discut?\239?\191?\189 dans videolan-devel.

------------------------------------------------------------------------
r431 | henri | 2000-11-23 02:40:31 +0100 (Thu, 23 Nov 2000) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/alsa/aout_alsa.c



- Cosmetic changes to alsa.c
- Configure now checks alsa is present

------------------------------------------------------------------------
r432 | massiot | 2000-11-27 11:35:57 +0100 (Mon, 27 Nov 2000) | 9 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h.in
   M /trunk/include/video_output.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/input/input.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

 * vlc is now compiled without the STATS mode by default.
 * Fixed a bug which made frames go backwards with some displays (the
   video_decoder thread is now niced).
 * Made use of intf_WarnMsg() in the most needed places.
Also simplified the synchro algorithm and fixed a bug with non-(5/1) streams.
Fixed the optimizations in the configure stuff.
Warning : this release needs a full rebuild (make clean; make).
Warning : I might have broken the BeOS port, could somebody check ?

------------------------------------------------------------------------
r433 | massiot | 2000-11-27 18:49:48 +0100 (Mon, 27 Nov 2000) | 5 lines
Changed paths:
   M /trunk/TODO
   M /trunk/include/video_decoder.h
   M /trunk/include/video_fifo.h
   M /trunk/include/video_parser.h
   M /trunk/include/vpar_synchro.h
   M /trunk/src/input/input.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Added more stats
* Fixed a bug in the parser when trashing an already parsed frame
* Simplified (and enhanced) vpar_synchro for B pictures
* Lowered the synchro DELTA

------------------------------------------------------------------------
r434 | massiot | 2000-11-28 17:00:38 +0100 (Tue, 28 Nov 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

The YUV buffer is now freed after displaying (useful for overlay).

------------------------------------------------------------------------
r435 | massiot | 2000-11-28 20:58:14 +0100 (Tue, 28 Nov 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c

More stats.

NB : it is necessary to re-run ./configure

------------------------------------------------------------------------
r436 | massiot | 2000-11-29 12:34:22 +0100 (Wed, 29 Nov 2000) | 2 lines
Changed paths:
   M /trunk/src/video_parser/vpar_synchro.c

Enhancement for very slooow machines.

------------------------------------------------------------------------
r437 | massiot | 2000-11-29 15:05:10 +0100 (Wed, 29 Nov 2000) | 4 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/vpar_synchro.c

* Added debug messages in the video synchro
* Fixed a bug in the video synchro time scheduling
* Made the vout more precise on display dates

------------------------------------------------------------------------
r438 | massiot | 2000-11-29 15:21:53 +0100 (Wed, 29 Nov 2000) | 2 lines
Changed paths:
   M /trunk/src/interface/intf_msg.c

Now using buffer I/O to write debug logs (huge performance increase).

------------------------------------------------------------------------
r439 | massiot | 2000-11-29 15:36:20 +0100 (Wed, 29 Nov 2000) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

ppro and mmx optimizations are now enabled by default (K6 users should
buy real processors).

------------------------------------------------------------------------
r440 | massiot | 2000-11-29 18:33:24 +0100 (Wed, 29 Nov 2000) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c

Added hooks for the fothcoming YUV overlay support.

------------------------------------------------------------------------
r441 | massiot | 2000-11-29 19:55:04 +0100 (Wed, 29 Nov 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in

Added -funroll-all-loops and -fstrict-aliasing which seem to make things
faster.

------------------------------------------------------------------------
r442 | stef | 2000-11-29 20:02:17 +0100 (Wed, 29 Nov 2000) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/interface/intf_msg.c

. Ajout de la date dans les warning si le mode debug est activ?\239?\191?\189
. Modification du configure pour remmettre le x11 par d?\239?\191?\189faut, et pour
montrer que ppro et mmx sont par d?\239?\191?\189fauts maintenant.

------------------------------------------------------------------------
r443 | octplane | 2000-11-30 18:37:23 +0100 (Thu, 30 Nov 2000) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

. Fixed a segfault
. Fixed a SDL API change about clipping (?).

------------------------------------------------------------------------
r444 | stef | 2000-11-30 21:43:16 +0100 (Thu, 30 Nov 2000) | 3 lines
Changed paths:
   M /trunk/plugins/dsp/dsp.c

. Test non bloquant de l'ouverture du dsp ?\239?\191?\189 l'initialisation du plugin
 pour le cas o?\239?\191?\189 il est utilis?\239?\191?\189 par esd

------------------------------------------------------------------------
r445 | stef | 2000-11-30 21:57:05 +0100 (Thu, 30 Nov 2000) | 5 lines
Changed paths:
   M /trunk/plugins/dsp/aout_dsp.c

. J'en ai oubli?\239?\191?\189 un morceau avant :)

NB: je ne pense pas que l'ouverture en mode non-bloquant soit un
probl?\239?\191?\189me, mais ne fait je ne sais pas. Chez moi ?\239?\191?\189a marche !

------------------------------------------------------------------------
r446 | sam | 2000-12-01 08:35:12 +0100 (Fri, 01 Dec 2000) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

 . re-changement de vout_sdl.c pour que ?\239?\191?\189a fonctionne en woody.

------------------------------------------------------------------------
r447 | massiot | 2000-12-05 20:36:58 +0100 (Tue, 05 Dec 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   D /trunk/include/ac3_decoder.h
   D /trunk/include/ac3_decoder_thread.h
   D /trunk/include/audio_decoder.h
   D /trunk/include/audio_decoder_thread.h
   M /trunk/include/config.h.in
   D /trunk/include/decoder_fifo.h
   D /trunk/include/input.h
   A /trunk/include/input_ext-dec.h
   A /trunk/include/input_ext-intf.h
   D /trunk/include/input_netlist.h
   D /trunk/include/input_ps.h
   D /trunk/include/input_vlan.h
   D /trunk/include/lpcm_decoder.h
   D /trunk/include/lpcm_decoder_thread.h
   D /trunk/include/spu_decoder.h
   A /trunk/include/stream_control.h
   M /trunk/include/video_parser.h
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/x11/intf_x11.c
   A /trunk/src/ac3_decoder/ac3_decoder.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   A /trunk/src/ac3_decoder/ac3_decoder_thread.h
   A /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   A /trunk/src/audio_decoder/audio_decoder_thread.h
   M /trunk/src/input/input.c
   A /trunk/src/input/input.h
   D /trunk/src/input/input_ctrl.c
   D /trunk/src/input/input_ctrl.h
   A /trunk/src/input/input_ext-dec.c
   D /trunk/src/input/input_file.c
   D /trunk/src/input/input_file.h
   D /trunk/src/input/input_netlist.c
   D /trunk/src/input/input_network.c
   D /trunk/src/input/input_network.h
   D /trunk/src/input/input_pcr.c
   D /trunk/src/input/input_pcr.h
   A /trunk/src/input/input_ps.c
   A /trunk/src/input/input_ps.h
   D /trunk/src/input/input_psi.c
   D /trunk/src/input/input_psi.h
   A /trunk/src/input/input_ts.c
   A /trunk/src/input/input_ts.h
   D /trunk/src/input/input_vlan.c
   A /trunk/src/input/mpeg_system.c
   A /trunk/src/input/mpeg_system.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   A /trunk/src/lpcm_decoder/lpcm_decoder.h
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   A /trunk/src/lpcm_decoder/lpcm_decoder_thread.h
   D /trunk/src/misc/decoder_fifo.c
   M /trunk/src/spu_decoder/spu_decoder.c
   A /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_decoder/vdec_idct.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

The input-II. (more info by mail in about an hour)

------------------------------------------------------------------------
r448 | massiot | 2000-12-05 23:30:27 +0100 (Tue, 05 Dec 2000) | 2 lines
Changed paths:
   M /trunk/TODO

The new tasks for the input-II.

------------------------------------------------------------------------
r450 | massiot | 2000-12-06 17:41:20 +0100 (Wed, 06 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_synchro.c

* Support for MPEG-1 .mpg files.
* Fixed a bug in the synchro with non-P5/B1 streams.

------------------------------------------------------------------------
r454 | massiot | 2000-12-07 16:45:18 +0100 (Thu, 07 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c

We now correctly parse MPEG-1 SCR and there is no need to kludge to read
the stream at the right pace.

------------------------------------------------------------------------
r456 | massiot | 2000-12-08 19:50:37 +0100 (Fri, 08 Dec 2000) | 4 lines
Changed paths:
   A /trunk/src/input/input_programs.c

* Code to manage es_descriptors and program_descriptors, from benny's
input_psi.c
(unfinished)

------------------------------------------------------------------------
r457 | benny | 2000-12-10 04:55:47 +0100 (Sun, 10 Dec 2000) | 2 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/netutils.h
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/video_output/video_output.c

debut de portage sous solaris

------------------------------------------------------------------------
r458 | benny | 2000-12-10 09:08:35 +0100 (Sun, 10 Dec 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


Generation d'un makefile presque correct pour les vieilles versions de make
Nettoyage: gestion des dependances pour les plugins, suppressions de pas
mal de redondances, options de compilations coherentes, etc...

------------------------------------------------------------------------
r459 | benny | 2000-12-10 10:21:58 +0100 (Sun, 10 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/interface/main.c


Fixe la gestion des signaux

------------------------------------------------------------------------
r460 | henri | 2000-12-11 14:55:50 +0100 (Mon, 11 Dec 2000) | 3 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/plugins/fb/vout_fb.c


Same changes that were made in the stbale branch ( FB_NOYPAN support )

------------------------------------------------------------------------
r461 | massiot | 2000-12-11 15:34:31 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/interface/interface.c
   M /trunk/src/misc/plugins.c

Fixed benny's mistakes :pp

------------------------------------------------------------------------
r462 | massiot | 2000-12-11 15:45:30 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder_thread.h

Attempt to fix the audio.

------------------------------------------------------------------------
r463 | massiot | 2000-12-11 15:58:30 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder_thread.c

Mmmmh an endianness bug ?

------------------------------------------------------------------------
r464 | massiot | 2000-12-11 16:06:32 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder_thread.c

Another attempt for the same bug...

------------------------------------------------------------------------
r465 | massiot | 2000-12-11 16:29:02 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   A /trunk/src/input/input_netlist.c
   A /trunk/src/input/input_netlist.h

Prototypes for netlist functions.

------------------------------------------------------------------------
r466 | massiot | 2000-12-11 18:04:42 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder_thread.c

Another attempt for the audio bug...

------------------------------------------------------------------------
r467 | massiot | 2000-12-11 19:51:28 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

Fixed a bug with DVD's SCR (too close from the PTS).

------------------------------------------------------------------------
r468 | massiot | 2000-12-11 20:26:57 +0100 (Mon, 11 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

Fix in the SCR parser for high values.

------------------------------------------------------------------------
r469 | henri | 2000-12-14 03:01:39 +0100 (Thu, 14 Dec 2000) | 11 lines
Changed paths:
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_netlist.h


Netlist embryo :
 - pes netlist
 - data netlist

Still to do :
 - iovect netlist

It hasen't been tested yet.
Meuuh, could you tell me if it works ? ( if yes, gimme some more work :p )

------------------------------------------------------------------------
r470 | massiot | 2000-12-14 11:47:57 +0100 (Thu, 14 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_netlist.h

Some comments for Henri.

------------------------------------------------------------------------
r472 | massiot | 2000-12-15 14:28:00 +0100 (Fri, 15 Dec 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input.h
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c

* Fixed two typos in the Makefile (sam you owe me at least one beer)
* Moved b_discontinuity to pgrm_descriptor_t, cleaned up CRDecode
(needs some more cleaning for discontinuities)
* Added pf_new_pes in plugins

------------------------------------------------------------------------
r473 | massiot | 2000-12-15 14:39:54 +0100 (Fri, 15 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_netlist.h

More comments.

------------------------------------------------------------------------
r474 | massiot | 2000-12-15 18:21:54 +0100 (Fri, 15 Dec 2000) | 2 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/mpeg_system.c

Enhanced handling of stream discontinuities.

------------------------------------------------------------------------
r475 | massiot | 2000-12-15 20:05:23 +0100 (Fri, 15 Dec 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/input/input.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c

* Cleaned up program and ES management by using input_programs.c whenever
necessary.
* Cleaned up decoder spawning.

------------------------------------------------------------------------
r476 | stef | 2000-12-16 17:31:11 +0100 (Sat, 16 Dec 2000) | 4 lines
Changed paths:
   M /trunk/src/input/input_ps.c

Fixed support for broken MPEG-1 files.

--Meuuh

------------------------------------------------------------------------
r477 | octplane | 2000-12-17 16:05:30 +0100 (Sun, 17 Dec 2000) | 5 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

- partial SDL YUV support (green stream for now, please help me !)
- "y" key switch between SDL and vlc YUV
- autodetection of Overlay support
- soon to come, colors :P

------------------------------------------------------------------------
r478 | bozo | 2000-12-18 03:47:09 +0100 (Mon, 18 Dec 2000) | 13 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/input/input_programs.c

  - Hardware YUV overlay (SDL) with real colors ;p It may suck for non
    4:2:0 streams.
  - Removed vout code found in intf file to support fullscreen switching.
    Now only vout_SDL updates SDL data and intf only switch flags such as
    b_reopen_display and b_fullscreen in p_vout->p_sys.
  - Fixed a var name typo in input_programs.c which prevents vlc from
    compiling with --enable-debug option. (i_es_pid -> i_es_id :)

There's a segfault in the termination process due to sdl, I don't really
know what is the problem and I have to work today. Help me!

Good night suckers. I love you too :p

------------------------------------------------------------------------
r479 | sam | 2000-12-18 08:56:32 +0100 (Mon, 18 Dec 2000) | 14 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder_thread.c
   M /trunk/src/audio_decoder/audio_math.c
   M /trunk/src/audio_decoder/audio_test.c

 . indentation fixes

 . fixed audio syncword detection for mpeg 1 streams (hopefully)
    FIXME: can anyone confirm we can get rid of adec_byte_stream_next
    in audio_decoder_thread.c now that we have the new input ?

 . fixed Layer 2 Mono decoding.
    FIXME: who created freq_table ? what was the rationale for it, and
    where does it come from ?
    FIXME: how can we spare the extra DCT in audio_decoder.c:707 ? I'm too
    tired to think about it.

 . proposal: splitting audio_decoder.c in one file per layer.

------------------------------------------------------------------------
r480 | sam | 2000-12-18 11:02:30 +0100 (Mon, 18 Dec 2000) | 9 lines
Changed paths:
   M /trunk/src/audio_decoder/audio_decoder.c


 . additional fix for Layer 1 mono

   now vlc plays all of my 125 sample mpeg1 movies !

   Please try it with yours, and report non-working streams.
    (`file foo.mpeg' must report "system stream", not "video stream" in
       order to be playable with the vlc)

------------------------------------------------------------------------
r481 | massiot | 2000-12-18 11:40:11 +0100 (Mon, 18 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

We can now read from stdin.

------------------------------------------------------------------------
r482 | massiot | 2000-12-18 16:31:47 +0100 (Mon, 18 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_parser.c

We now display CPU usage statistics for each thread.

------------------------------------------------------------------------
r483 | octplane | 2000-12-19 18:51:32 +0100 (Tue, 19 Dec 2000) | 2 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/src/video_output/video_output.c

- fixed the ratio/position problem in YUV, now patching Stable.

------------------------------------------------------------------------
r485 | sam | 2000-12-19 20:05:46 +0100 (Tue, 19 Dec 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   A /trunk/src/audio_decoder/adec_bit_stream.h
   A /trunk/src/audio_decoder/adec_generic.c
   A /trunk/src/audio_decoder/adec_generic.h
   A /trunk/src/audio_decoder/adec_layer1.c
   A /trunk/src/audio_decoder/adec_layer1.h
   A /trunk/src/audio_decoder/adec_layer2.c
   A /trunk/src/audio_decoder/adec_layer2.h
   A /trunk/src/audio_decoder/adec_math.c
   A /trunk/src/audio_decoder/adec_math.h
   A /trunk/src/audio_decoder/adec_test.c
   D /trunk/src/audio_decoder/audio_bit_stream.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.h
   D /trunk/src/audio_decoder/audio_decoder_thread.c
   D /trunk/src/audio_decoder/audio_decoder_thread.h
   D /trunk/src/audio_decoder/audio_math.c
   D /trunk/src/audio_decoder/audio_math.h
   D /trunk/src/audio_decoder/audio_test.c


 . split the audio decoder into adec_generic, adec_layer1 and adec_layer2
    (no new code added)

------------------------------------------------------------------------
r486 | massiot | 2000-12-19 20:08:51 +0100 (Tue, 19 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

Input-II now correctly handles private stream 1 (AC3, DVDSPU).

------------------------------------------------------------------------
r487 | bozo | 2000-12-19 20:44:09 +0100 (Tue, 19 Dec 2000) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

sdl plugin :
  - Quantic start in fullscreen fixed.

------------------------------------------------------------------------
r488 | massiot | 2000-12-19 20:55:35 +0100 (Tue, 19 Dec 2000) | 3 lines
Changed paths:
   M /trunk/include/input_ext-dec.h

GetChunk() : reads n bytes from the elementary stream and places them
in a big buffer (a gift for Sam).

------------------------------------------------------------------------
r489 | bozo | 2000-12-19 21:01:38 +0100 (Tue, 19 Dec 2000) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

  - one typo.
  - one line deleted (it was for debug, bozo.)

------------------------------------------------------------------------
r491 | reno | 2000-12-19 23:34:34 +0100 (Tue, 19 Dec 2000) | 3 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/include/config.h.in
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c

Move #define from audio_output.h to config.h
Change vlan_server_ip to vishnou's ip (but vlans not working yet)

------------------------------------------------------------------------
r494 | massiot | 2000-12-20 17:04:31 +0100 (Wed, 20 Dec 2000) | 6 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/input/mpeg_system.h

* Big cleanup of the PS input plugin ;
* Fixed a bug in AC3 initialization ;
* PS streams are now pre-parsed (this can take a while) if possible ;

./configure is required after this update.

------------------------------------------------------------------------
r495 | sam | 2000-12-20 17:39:16 +0100 (Wed, 20 Dec 2000) | 3 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/src/misc/plugins.c


 . now we only try to open plugins which are existing files

------------------------------------------------------------------------
r496 | massiot | 2000-12-20 18:49:41 +0100 (Wed, 20 Dec 2000) | 4 lines
Changed paths:
   M /trunk/TODO
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c

* Added -a, -c and -s options. (-a doesn't work but I will let the people
who thought it would be cleaner to put config in environment variables
correct what's wrong in my code).

------------------------------------------------------------------------
r497 | massiot | 2000-12-20 19:45:43 +0100 (Wed, 20 Dec 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/src/input/input_ps.c

Only pre-parse the first 32 MB of data.

------------------------------------------------------------------------
r498 | sam | 2000-12-20 21:09:19 +0100 (Wed, 20 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

 . fixed "-a [ mpeg | ac3 | lpcm | off ]" option

------------------------------------------------------------------------
r500 | reno | 2000-12-20 23:23:24 +0100 (Wed, 20 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_ctrl.c

Added U8_Mono audio output

------------------------------------------------------------------------
r501 | reno | 2000-12-21 00:24:23 +0100 (Thu, 21 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

D?\239?\191?\189sol?\239?\191?\189 !

------------------------------------------------------------------------
r502 | henri | 2000-12-21 01:39:49 +0100 (Thu, 21 Dec 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/input/input_netlist.c


Added netlist support.

Warning : it has not been tested. It just make no error at build time.

------------------------------------------------------------------------
r503 | massiot | 2000-12-21 13:38:27 +0100 (Thu, 21 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/input/input_programs.c

* Fixed a bug which prevented the input to exit normally (non-selected
ES in the pp_selected_es array).

------------------------------------------------------------------------
r504 | massiot | 2000-12-21 14:07:45 +0100 (Thu, 21 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_netlist.c

Comments for Henri.

------------------------------------------------------------------------
r505 | massiot | 2000-12-21 14:25:51 +0100 (Thu, 21 Dec 2000) | 4 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/video_parser.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.h
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_decoder/audio_decoder.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.h
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/spu_decoder/spu_decoder.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c

* Removed b_die and b_error from all decoders (obsoleted by decoder_fifo_t).
All decoders should now exit cleanly (if it's not the case, it should be
referenced as a bug).

------------------------------------------------------------------------
r506 | massiot | 2000-12-21 14:54:15 +0100 (Thu, 21 Dec 2000) | 2 lines
Changed paths:
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

* Removed all arbitrary limits on the number of elementary streams.

------------------------------------------------------------------------
r507 | massiot | 2000-12-21 15:18:15 +0100 (Thu, 21 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_parser/video_parser.c

Fixed various memory leaks.

------------------------------------------------------------------------
r508 | massiot | 2000-12-21 16:01:08 +0100 (Thu, 21 Dec 2000) | 3 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/input_ps.h
   M /trunk/src/input/input_ts.c
   D /trunk/src/input/input_ts.h

* Splitted up p_method_data/p_plugin_data ;
* Cleaned up input_ts.c, added it into the Makefile.

------------------------------------------------------------------------
r509 | massiot | 2000-12-21 18:19:54 +0100 (Thu, 21 Dec 2000) | 3 lines
Changed paths:
   D /trunk/include/vdec_idct.h
   D /trunk/include/vdec_motion.h
   D /trunk/include/video_decoder.h
   D /trunk/include/video_fifo.h
   M /trunk/include/video_output.h
   D /trunk/include/video_parser.h
   D /trunk/include/vpar_blocks.h
   D /trunk/include/vpar_headers.h
   D /trunk/include/vpar_synchro.h
   M /trunk/src/video_decoder/vdec_idct.c
   A /trunk/src/video_decoder/vdec_idct.h
   M /trunk/src/video_decoder/vdec_idctmmx.S
   M /trunk/src/video_decoder/vdec_motion.c
   A /trunk/src/video_decoder/vdec_motion.h
   M /trunk/src/video_decoder/vdec_motion_inner.c
   M /trunk/src/video_decoder/vdec_motion_inner_mmx.c
   M /trunk/src/video_decoder/video_decoder.c
   A /trunk/src/video_decoder/video_decoder.h
   A /trunk/src/video_decoder/video_fifo.h
   A /trunk/src/video_decoder/video_parser.h
   A /trunk/src/video_decoder/vpar_blocks.h
   A /trunk/src/video_decoder/vpar_headers.h
   A /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_parser/video_fifo.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Moved video_decoder's headers from include/ to src/video_decoder.
* Temporarily removed b&w kludge.

------------------------------------------------------------------------
r510 | massiot | 2000-12-21 20:24:27 +0100 (Thu, 21 Dec 2000) | 5 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input.h
   A /trunk/src/input/input_dec.c
   A /trunk/src/input/input_dec.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

* New decoder spawning API input_dec.c ;
* Moved p_input->pp_es -> p_input->stream.pp_es and clean up of
  input_programs.c & co ;
* Fixed memory leaks.

------------------------------------------------------------------------
r511 | massiot | 2000-12-21 20:33:03 +0100 (Thu, 21 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/input/input_ps.c

* Fixed a *major* memory leak in the pre-parsing code. Hopefully it should
  be the last one.

------------------------------------------------------------------------
r512 | massiot | 2000-12-22 11:58:27 +0100 (Fri, 22 Dec 2000) | 4 lines
Changed paths:
   M /trunk/Makefile.in
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_dec.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/input/mpeg_system.h

* Moved input_DecodePES() to input_dec.c ;
* Fixed an segfault in input_programs.c ;
* Added -fomit-frame-pointer optimization.

------------------------------------------------------------------------
r513 | sam | 2000-12-22 14:04:45 +0100 (Fri, 22 Dec 2000) | 3 lines
Changed paths:
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/fb/intf_fb.c
   M /trunk/plugins/fb/vout_fb.c
   M /trunk/plugins/ggi/intf_ggi.c
   M /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/intf_glide.c
   M /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gnome/intf_gnome.c
   M /trunk/plugins/gnome/vout_gnome.c
   M /trunk/plugins/mga/intf_mga.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/intf_x11.c
   M /trunk/plugins/x11/vout_x11.c
   M /trunk/plugins/yuv/video_yuv.c
   M /trunk/plugins/yuv/video_yuv24.c
   M /trunk/plugins/yuv/video_yuv8.c
   M /trunk/plugins/yuvmmx/video_yuv.c
   M /trunk/plugins/yuvmmx/video_yuv16.c
   M /trunk/plugins/yuvmmx/video_yuv24.c
   M /trunk/plugins/yuvmmx/video_yuv32.c
   M /trunk/plugins/yuvmmx/video_yuv8.c
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/ac3_decoder/ac3_downmix.c
   M /trunk/src/ac3_decoder/ac3_exponent.c
   M /trunk/src/ac3_decoder/ac3_mantissa.c
   M /trunk/src/audio_decoder/adec_generic.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/generic_decoder/generic_decoder.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_cmd.c
   M /trunk/src/interface/intf_ctrl.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/lpcm_decoder/lpcm_decoder.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/playlist.c
   M /trunk/src/misc/plugins.c
   M /trunk/src/misc/rsc_files.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/vdec_motion.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_decoder/video_fifo.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_spu.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_blocks.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c


 . no need to add "\n" at the end of intf_*Msg() messages anymore.

------------------------------------------------------------------------
r514 | sam | 2000-12-22 16:00:42 +0100 (Fri, 22 Dec 2000) | 4 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c


 . fixed AC3 and SPU PES reading (ph34r da one-byte patch)
 . some 79 char wrap.

------------------------------------------------------------------------
r515 | massiot | 2000-12-22 16:34:24 +0100 (Fri, 22 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

* Fixed a compile pbm in debug mode (f34r d4 1-line fix)

------------------------------------------------------------------------
r517 | massiot | 2000-12-22 18:53:30 +0100 (Fri, 22 Dec 2000) | 3 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

* Using i_id instead of i_stream_id whenever possible ;
* Fixed a bug in -c and -s options.

------------------------------------------------------------------------
r518 | bozo | 2000-12-22 19:57:35 +0100 (Fri, 22 Dec 2000) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/intf_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c

  - sdl resising rulze, still buggy

------------------------------------------------------------------------
r519 | sam | 2000-12-23 04:10:59 +0100 (Sat, 23 Dec 2000) | 6 lines
Changed paths:
   M /trunk/src/interface/interface.c
   M /trunk/src/spu_decoder/spu_decoder.c
   M /trunk/src/video_decoder/video_decoder.c
   M /trunk/src/video_decoder/video_fifo.h


 . SPU decoder now uses Meuuh's GetChunk() code.
 . lots of cleaning in the SPU decoder.
 . message queue is flushed before we spawn input.
 . fixed so that it compiles with VDEC_SMP (no good sync yet though).

------------------------------------------------------------------------
r522 | sam | 2000-12-24 07:08:04 +0100 (Sun, 24 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_spu.c

 . changed subtitles palette.

------------------------------------------------------------------------
r523 | massiot | 2000-12-26 20:14:47 +0100 (Tue, 26 Dec 2000) | 7 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h.in
   M /trunk/include/input_ext-dec.h
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/input/mpeg_system.h
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/vpar_synchro.c

* Use of ptrdiff_t whenever necessary (IA-64 port) ;
* Changed behaviour of preparsing code, faster startup ;
* Fixed DecodePSM(), cannot test ;
* Cleaned up ParsePES(), fixed a bug which could reject very small but
  valid PES packets ;
* Fixed cosmetic bugs in vpar_synchro frame_rate display.

------------------------------------------------------------------------
r524 | sam | 2000-12-27 10:54:53 +0100 (Wed, 27 Dec 2000) | 3 lines
Changed paths:
   M /trunk/src/input/input_ps.c


 . avoid calling SafeRead() with a null packet size.

------------------------------------------------------------------------
r525 | massiot | 2000-12-27 19:09:02 +0100 (Wed, 27 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

New synchro statistics and warnings.

------------------------------------------------------------------------
r526 | massiot | 2000-12-27 19:35:45 +0100 (Wed, 27 Dec 2000) | 3 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/src/ac3_decoder/ac3_decoder_thread.c
   M /trunk/src/audio_decoder/audio_decoder.c
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/lpcm_decoder/lpcm_decoder_thread.c
   M /trunk/src/video_parser/vpar_synchro.c

We now read the DTS (but we don't use it for the moment).
NB : b_has_pts has disappeared for brevity reasons, use i_pts != 0 instead.

------------------------------------------------------------------------
r527 | massiot | 2000-12-28 18:57:39 +0100 (Thu, 28 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c

Fixed a bug in the PSM decoder.

------------------------------------------------------------------------
r528 | massiot | 2000-12-28 19:00:38 +0100 (Thu, 28 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

Cosmetic change of the debug messages.

------------------------------------------------------------------------
r529 | massiot | 2000-12-29 11:52:40 +0100 (Fri, 29 Dec 2000) | 4 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

* Fixed a bug in the DTS/PTS parsing ;
* Fixed a bug in vpar_headers.c synchro handling introduced before ;
* Enhanced synchro's handling of dates and frame structure changes.

------------------------------------------------------------------------
r530 | massiot | 2000-12-29 13:49:30 +0100 (Fri, 29 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/video_decoder/vpar_synchro.h
   M /trunk/src/video_parser/video_parser.c
   M /trunk/src/video_parser/vpar_headers.c
   M /trunk/src/video_parser/vpar_synchro.c

Fixed THX Cimmarron bug (it was _not_ a synchro bug).

------------------------------------------------------------------------
r531 | henri | 2000-12-29 15:03:44 +0100 (Fri, 29 Dec 2000) | 6 lines
Changed paths:
   M /trunk/src/input/input_netlist.c
   M /trunk/src/input/input_netlist.h


- Removed i_iovec_start and i_iovec_end. Used i_data instead
- Meuuh : some questions for you in the commentaries

Happy new year !

------------------------------------------------------------------------
r532 | sam | 2000-12-29 15:04:59 +0100 (Fri, 29 Dec 2000) | 5 lines
Changed paths:
   M /trunk/src/input/input_ps.c
   M /trunk/src/input/mpeg_system.c

 . fixed default subtitle stream handling (default: no subtitles)
 . added a few missing break;s
 (oui je sais je ne fais que des patches de deux lignes ?\239?\191?\189 trois balles,
  mais par telnet c'est pas facile)

------------------------------------------------------------------------
r533 | massiot | 2000-12-30 01:38:19 +0100 (Sat, 30 Dec 2000) | 2 lines
Changed paths:
   M /trunk/src/input/input_netlist.c

Comments for Henri.

------------------------------------------------------------------------
